/*
 * kern.c
 * kerning info derived from afm files
 * Greg Lee, 8/01
 */
int tir_kern[][3] = {
{ 'A', 'y', -92}, { 'A', 'w', -92}, { 'A', 'v', -74}, { 'A', 'u', 0},
{ 'A', '\'', -111}, { 'A', 131, 0}, { 'A', 'p', 0}, { 'A', 'Y', -105},
{ 'A', 'W', -90}, { 'A', 'V', -135}, { 'A', 'U', -55}, { 'A', 'T', -111},
{ 'A', 'Q', -55}, { 'A', 'O', -55}, { 'A', 'G', -40}, { 'A', 'C', -40},
{ 'B', '.', 0}, { 'B', ',', 0}, { 'B', 'U', -10}, { 'B', 'A', -35},
{ 'D', '.', 0}, { 'D', ',', 0}, { 'D', 'Y', -55}, { 'D', 'W', -30},
{ 'D', 'V', -40}, { 'D', 'A', -40}, { 'F', 'r', 0}, { 'F', '.', -80},
{ 'F', 'o', -15}, { 'F', 'i', 0}, { 'F', 'e', 0}, { 'F', ',', -80},
{ 'F', 'a', -15}, { 'F', 'A', -74}, { 'G', '.', 0}, { 'G', ',', 0},
{ 'J', 'u', 0}, { 'J', '.', 0}, { 'J', 'o', 0}, { 'J', 'e', 0},
{ 'J', ',', 0}, { 'J', 'a', 0}, { 'J', 'A', -60}, { 'K', 'y', -25},
{ 'K', 'u', -15}, { 'K', 'o', -35}, { 'K', 'e', -25}, { 'K', 'O', -30},
{ 'L', 'y', -55}, { 'L', '\'', -92}, { 'L', 131, 0}, { 'L', 'Y', -100},
{ 'L', 'W', -74}, { 'L', 'V', -100}, { 'L', 'T', -92}, { 'N', '.', 0},
{ 'N', ',', 0}, { 'N', 'A', -35}, { 'O', '.', 0}, { 'O', ',', 0},
{ 'O', 'Y', -50}, { 'O', 'X', -40}, { 'O', 'W', -35}, { 'O', 'V', -50},
{ 'O', 'T', -40}, { 'O', 'A', -35}, { 'P', '.', -111}, { 'P', 'o', 0},
{ 'P', 'e', 0}, { 'P', ',', -111}, { 'P', 'a', -15}, { 'P', 'A', -92},
{ 'Q', '.', 0}, { 'Q', ',', 0}, { 'Q', 'U', -10}, { 'R', 'Y', -65},
{ 'R', 'W', -55}, { 'R', 'V', -80}, { 'R', 'U', -40}, { 'R', 'T', -60},
{ 'R', 'O', -40}, { 'S', '.', 0}, { 'S', ',', 0}, { 'T', 'y', -80},
{ 'T', 'w', -80}, { 'T', 'u', -45}, { 'T', ';', -55}, { 'T', 'r', -35},
{ 'T', '.', -74}, { 'T', 'o', -80}, { 'T', 'i', -35}, { 'T', '-', -92},
{ 'T', 'h', 0}, { 'T', 'e', -70}, { 'T', ',', -74}, { 'T', ':', -50},
{ 'T', 'a', -80}, { 'T', 'O', -18}, { 'T', 'A', -93}, { 'U', '.', 0},
{ 'U', ',', 0}, { 'U', 'A', -40}, { 'V', 'u', -75}, { 'V', ';', -74},
{ 'V', '.', -129}, { 'V', 'o', -129}, { 'V', 'i', -60}, { 'V', '-', -100},
{ 'V', 'e', -111}, { 'V', ',', -129}, { 'V', ':', -74}, { 'V', 'a', -111},
{ 'V', 'O', -40}, { 'V', 'G', -15}, { 'V', 'A', -135}, { 'W', 'y', -73},
{ 'W', 'u', -50}, { 'W', ';', -37}, { 'W', '.', -92}, { 'W', 'o', -80},
{ 'W', 'i', -40}, { 'W', '-', -65}, { 'W', 'h', 0}, { 'W', 'e', -80},
{ 'W', ',', -92}, { 'W', ':', -37}, { 'W', 'a', -80}, { 'W', 'O', -10},
{ 'W', 'A', -120}, { 'Y', 'u', -111}, { 'Y', ';', -92}, { 'Y', '.', -129},
{ 'Y', 'o', -110}, { 'Y', 'i', -55}, { 'Y', '-', -111}, { 'Y', 'e', -100},
{ 'Y', ',', -129}, { 'Y', ':', -92}, { 'Y', 'a', -100}, { 'Y', 'O', -30},
{ 'Y', 'A', -120}, { 'a', 'y', 0}, { 'a', 'w', -15}, { 'a', 'v', -20},
{ 'a', 't', 0}, { 'a', 'p', 0}, { 'a', 'g', 0}, { 'a', 'b', 0},
{ 'b', 'y', 0}, { 'b', 'v', -15}, { 'b', 'u', -20}, { 'b', '.', -40},
{ 'b', 'l', 0}, { 'b', ',', 0}, { 'b', 'b', 0}, { 'c', 'y', -15},
{ 'c', '.', 0}, { 'c', 'l', 0}, { 'c', 'k', 0}, { 'c', 'h', 0},
{ 'c', ',', 0}, { ':', ' ', 0}, { ',', ' ', 0}, { ',', '\'', -70},
{ ',', 131, -70}, { 'd', 'y', 0}, { 'd', 'w', 0}, { 'd', 'v', 0},
{ 'd', '.', 0}, { 'd', 'd', 0}, { 'd', ',', 0}, { 'e', 'y', -15},
{ 'e', 'x', -15}, { 'e', 'w', -25}, { 'e', 'v', -25}, { 'e', '.', 0},
{ 'e', 'p', 0}, { 'e', 'g', -15}, { 'e', ',', 0}, { 'e', 'b', 0},
{ 'f', '\'', 55}, { 'f', 131, 0}, { 'f', '.', 0}, { 'f', 'o', 0},
{ 'f', 'l', 0}, { 'f', 'i', -20}, { 'f', 'f', -25}, { 'f', 'e', 0},
{ 'f', 143, -50}, { 'f', ',', 0}, { 'f', 'a', -10}, { 'g', 'y', 0},
{ 'g', 'r', 0}, { 'g', '.', 0}, { 'g', 'o', 0}, { 'g', 'i', 0},
{ 'g', 'g', 0}, { 'g', 'e', 0}, { 'g', ',', 0}, { 'g', 'a', -5},
{ 'h', 'y', -5}, { 'i', 'v', -25}, { 'k', 'y', -15}, { 'k', 'o', -10},
{ 'k', 'e', -10}, { 'l', 'y', 0}, { 'l', 'w', -10}, { 'm', 'y', 0},
{ 'm', 'u', 0}, { 'n', 'y', -15}, { 'n', 'v', -40}, { 'n', 'u', 0},
{ 'o', 'y', -10}, { 'o', 'x', 0}, { 'o', 'w', -25}, { 'o', 'v', -15},
{ 'o', 'g', 0}, { 'p', 'y', -10}, { '.', '\'', -70}, { '.', 131, -70},
{ 130, '`', 0}, { 130, 'A', -80}, { 131, ' ', 0}, { '`', '`', -74},
{ '`', 'A', -80}, { '\'', 'v', -50}, { '\'', 't', -18}, { '\'', ' ', -74},
{ '\'', 's', -55}, { '\'', 'r', -50}, { '\'', '\'', -74}, { '\'', 131, 0},
{ '\'', 'l', -10}, { '\'', 'd', -50}, { 'r', 'y', 0}, { 'r', 'v', 0},
{ 'r', 'u', 0}, { 'r', 't', 0}, { 'r', 's', 0}, { 'r', 'r', 0},
{ 'r', 'q', 0}, { 'r', '.', -55}, { 'r', 'p', 0}, { 'r', 'o', 0},
{ 'r', 'n', 0}, { 'r', 'm', 0}, { 'r', 'l', 0}, { 'r', 'k', 0},
{ 'r', 'i', 0}, { 'r', '-', -20}, { 'r', 'g', -18}, { 'r', 'e', 0},
{ 'r', 'd', 0}, { 'r', ',', -40}, { 'r', 'c', 0}, { 'r', 'a', 0},
{ 's', 'w', 0}, { ' ', '`', 0}, { ' ', 130, 0}, { ' ', 'Y', -90},
{ ' ', 'W', -30}, { ' ', 'V', -50}, { ' ', 'T', -18}, { ' ', 'A', -55},
{ 'v', '.', -65}, { 'v', 'o', -20}, { 'v', 'e', -15}, { 'v', ',', -65},
{ 'v', 'a', -25}, { 'w', '.', -65}, { 'w', 'o', -10}, { 'w', 'h', 0},
{ 'w', 'e', 0}, { 'w', ',', -65}, { 'w', 'a', -10}, { 'x', 'e', -15},
{ 'y', '.', -65}, { 'y', 'o', 0}, { 'y', 'e', 0}, { 'y', ',', -65},
{ 'y', 'a', 0}, { 'z', 'o', 0}, { 'z', 'e', 0}, {0, 0, 0}
};
int tii_kern[][3] = {
{ 'A', 'y', -55}, { 'A', 'w', -55}, { 'A', 'v', -55}, { 'A', 'u', -20},
{ 'A', '\'', -37}, { 'A', 131, 0}, { 'A', 'p', 0}, { 'A', 'Y', -55},
{ 'A', 'W', -95}, { 'A', 'V', -105}, { 'A', 'U', -50}, { 'A', 'T', -37},
{ 'A', 'Q', -40}, { 'A', 'O', -40}, { 'A', 'G', -35}, { 'A', 'C', -30},
{ 'B', '.', 0}, { 'B', ',', 0}, { 'B', 'U', -10}, { 'B', 'A', -25},
{ 'D', '.', 0}, { 'D', ',', 0}, { 'D', 'Y', -40}, { 'D', 'W', -40},
{ 'D', 'V', -40}, { 'D', 'A', -35}, { 'F', 'r', -55}, { 'F', '.', -135},
{ 'F', 'o', -105}, { 'F', 'i', -45}, { 'F', 'e', -75}, { 'F', ',', -135},
{ 'F', 'a', -75}, { 'F', 'A', -115}, { 'G', '.', 0}, { 'G', ',', 0},
{ 'J', 'u', -35}, { 'J', '.', -25}, { 'J', 'o', -25}, { 'J', 'e', -25},
{ 'J', ',', -25}, { 'J', 'a', -35}, { 'J', 'A', -40}, { 'K', 'y', -40},
{ 'K', 'u', -40}, { 'K', 'o', -40}, { 'K', 'e', -35}, { 'K', 'O', -50},
{ 'L', 'y', -30}, { 'L', '\'', -37}, { 'L', 131, 0}, { 'L', 'Y', -20},
{ 'L', 'W', -55}, { 'L', 'V', -55}, { 'L', 'T', -20}, { 'N', '.', 0},
{ 'N', ',', 0}, { 'N', 'A', -27}, { 'O', '.', 0}, { 'O', ',', 0},
{ 'O', 'Y', -50}, { 'O', 'X', -40}, { 'O', 'W', -50}, { 'O', 'V', -50},
{ 'O', 'T', -40}, { 'O', 'A', -55}, { 'P', '.', -135}, { 'P', 'o', -80},
{ 'P', 'e', -80}, { 'P', ',', -135}, { 'P', 'a', -80}, { 'P', 'A', -90},
{ 'Q', '.', 0}, { 'Q', ',', 0}, { 'Q', 'U', -10}, { 'R', 'Y', -18},
{ 'R', 'W', -18}, { 'R', 'V', -18}, { 'R', 'U', -40}, { 'R', 'T', 0},
{ 'R', 'O', -40}, { 'S', '.', 0}, { 'S', ',', 0}, { 'T', 'y', -74},
{ 'T', 'w', -74}, { 'T', 'u', -55}, { 'T', ';', -65}, { 'T', 'r', -55},
{ 'T', '.', -74}, { 'T', 'o', -92}, { 'T', 'i', -55}, { 'T', '-', -74},
{ 'T', 'h', 0}, { 'T', 'e', -92}, { 'T', ',', -74}, { 'T', ':', -55},
{ 'T', 'a', -92}, { 'T', 'O', -18}, { 'T', 'A', -50}, { 'U', '.', -25},
{ 'U', ',', -25}, { 'U', 'A', -40}, { 'V', 'u', -74}, { 'V', ';', -74},
{ 'V', '.', -129}, { 'V', 'o', -111}, { 'V', 'i', -74}, { 'V', '-', -55},
{ 'V', 'e', -111}, { 'V', ',', -129}, { 'V', ':', -65}, { 'V', 'a', -111},
{ 'V', 'O', -30}, { 'V', 'G', 0}, { 'V', 'A', -60}, { 'W', 'y', -70},
{ 'W', 'u', -55}, { 'W', ';', -65}, { 'W', '.', -92}, { 'W', 'o', -92},
{ 'W', 'i', -55}, { 'W', '-', -37}, { 'W', 'h', 0}, { 'W', 'e', -92},
{ 'W', ',', -92}, { 'W', ':', -65}, { 'W', 'a', -92}, { 'W', 'O', -25},
{ 'W', 'A', -60}, { 'Y', 'u', -92}, { 'Y', ';', -65}, { 'Y', '.', -92},
{ 'Y', 'o', -92}, { 'Y', 'i', -74}, { 'Y', '-', -74}, { 'Y', 'e', -92},
{ 'Y', ',', -92}, { 'Y', ':', -65}, { 'Y', 'a', -92}, { 'Y', 'O', -15},
{ 'Y', 'A', -50}, { 'a', 'y', 0}, { 'a', 'w', 0}, { 'a', 'v', 0},
{ 'a', 't', 0}, { 'a', 'p', 0}, { 'a', 'g', -10}, { 'a', 'b', 0},
{ 'b', 'y', 0}, { 'b', 'v', 0}, { 'b', 'u', -20}, { 'b', '.', -40},
{ 'b', 'l', 0}, { 'b', ',', 0}, { 'b', 'b', 0}, { 'c', 'y', 0},
{ 'c', '.', 0}, { 'c', 'l', 0}, { 'c', 'k', -20}, { 'c', 'h', -15},
{ 'c', ',', 0}, { ':', ' ', 0}, { ',', ' ', 0}, { ',', '\'', -140},
{ ',', 131, -140}, { 'd', 'y', 0}, { 'd', 'w', 0}, { 'd', 'v', 0},
{ 'd', '.', 0}, { 'd', 'd', 0}, { 'd', ',', 0}, { 'e', 'y', -30},
{ 'e', 'x', -20}, { 'e', 'w', -15}, { 'e', 'v', -15}, { 'e', '.', -15},
{ 'e', 'p', 0}, { 'e', 'g', -40}, { 'e', ',', -10}, { 'e', 'b', 0},
{ 'f', '\'', 92}, { 'f', 131, 0}, { 'f', '.', -15}, { 'f', 'o', 0},
{ 'f', 'l', 0}, { 'f', 'i', -20}, { 'f', 'f', -18}, { 'f', 'e', 0},
{ 'f', 143, -60}, { 'f', ',', -10}, { 'f', 'a', 0}, { 'g', 'y', 0},
{ 'g', 'r', 0}, { 'g', '.', -15}, { 'g', 'o', 0}, { 'g', 'i', 0},
{ 'g', 'g', -10}, { 'g', 'e', -10}, { 'g', ',', -10}, { 'g', 'a', 0},
{ 'h', 'y', 0}, { 'i', 'v', 0}, { 'k', 'y', -10}, { 'k', 'o', -10},
{ 'k', 'e', -10}, { 'l', 'y', 0}, { 'l', 'w', 0}, { 'm', 'y', 0},
{ 'm', 'u', 0}, { 'n', 'y', 0}, { 'n', 'v', -40}, { 'n', 'u', 0},
{ 'o', 'y', 0}, { 'o', 'x', 0}, { 'o', 'w', 0}, { 'o', 'v', -10},
{ 'o', 'g', -10}, { 'p', 'y', 0}, { '.', '\'', -140}, { '.', 131, -140},
{ 130, '`', 0}, { 130, 'A', 0}, { 131, ' ', 0}, { '`', '`', -111},
{ '`', 'A', 0}, { '\'', 'v', -10}, { '\'', 't', -30}, { '\'', ' ', -111},
{ '\'', 's', -40}, { '\'', 'r', -25}, { '\'', '\'', -111}, { '\'', 131, 0},
{ '\'', 'l', 0}, { '\'', 'd', -25}, { 'r', 'y', 0}, { 'r', 'v', 0},
{ 'r', 'u', 0}, { 'r', 't', 0}, { 'r', 's', -10}, { 'r', 'r', 0},
{ 'r', 'q', -37}, { 'r', '.', -111}, { 'r', 'p', 0}, { 'r', 'o', -45},
{ 'r', 'n', 0}, { 'r', 'm', 0}, { 'r', 'l', 0}, { 'r', 'k', 0},
{ 'r', 'i', 0}, { 'r', '-', -20}, { 'r', 'g', -37}, { 'r', 'e', -37},
{ 'r', 'd', -37}, { 'r', ',', -111}, { 'r', 'c', -37}, { 'r', 'a', -15},
{ 's', 'w', 0}, { ' ', '`', 0}, { ' ', 130, 0}, { ' ', 'Y', -75},
{ ' ', 'W', -40}, { ' ', 'V', -35}, { ' ', 'T', -18}, { ' ', 'A', -18},
{ 'v', '.', -74}, { 'v', 'o', 0}, { 'v', 'e', 0}, { 'v', ',', -74},
{ 'v', 'a', 0}, { 'w', '.', -74}, { 'w', 'o', 0}, { 'w', 'h', 0},
{ 'w', 'e', 0}, { 'w', ',', -74}, { 'w', 'a', 0}, { 'x', 'e', 0},
{ 'y', '.', -55}, { 'y', 'o', 0}, { 'y', 'e', 0}, { 'y', ',', -55},
{ 'y', 'a', 0}, { 'z', 'o', 0}, { 'z', 'e', 0}, {0, 0, 0}
};
int tib_kern[][3] = {
{ 'A', 'y', -74}, { 'A', 'w', -90}, { 'A', 'v', -100}, { 'A', 'u', -50},
{ 'A', '\'', -74}, { 'A', 131, 0}, { 'A', 'p', -25}, { 'A', 'Y', -100},
{ 'A', 'W', -130}, { 'A', 'V', -145}, { 'A', 'U', -50}, { 'A', 'T', -95},
{ 'A', 'Q', -45}, { 'A', 'O', -45}, { 'A', 'G', -55}, { 'A', 'C', -55},
{ 'B', '.', 0}, { 'B', ',', 0}, { 'B', 'U', -10}, { 'B', 'A', -30},
{ 'D', '.', -20}, { 'D', ',', 0}, { 'D', 'Y', -40}, { 'D', 'W', -40},
{ 'D', 'V', -40}, { 'D', 'A', -35}, { 'F', 'r', 0}, { 'F', '.', -110},
{ 'F', 'o', -25}, { 'F', 'i', 0}, { 'F', 'e', -25}, { 'F', ',', -92},
{ 'F', 'a', -25}, { 'F', 'A', -90}, { 'G', '.', 0}, { 'G', ',', 0},
{ 'J', 'u', -15}, { 'J', '.', -20}, { 'J', 'o', -15}, { 'J', 'e', -15},
{ 'J', ',', 0}, { 'J', 'a', -15}, { 'J', 'A', -30}, { 'K', 'y', -45},
{ 'K', 'u', -15}, { 'K', 'o', -25}, { 'K', 'e', -25}, { 'K', 'O', -30},
{ 'L', 'y', -55}, { 'L', '\'', -110}, { 'L', 131, -20}, { 'L', 'Y', -92},
{ 'L', 'W', -92}, { 'L', 'V', -92}, { 'L', 'T', -92}, { 'N', '.', 0},
{ 'N', ',', 0}, { 'N', 'A', -20}, { 'O', '.', 0}, { 'O', ',', 0},
{ 'O', 'Y', -50}, { 'O', 'X', -40}, { 'O', 'W', -50}, { 'O', 'V', -50},
{ 'O', 'T', -40}, { 'O', 'A', -40}, { 'P', '.', -110}, { 'P', 'o', -20},
{ 'P', 'e', -20}, { 'P', ',', -92}, { 'P', 'a', -10}, { 'P', 'A', -74},
{ 'Q', '.', -20}, { 'Q', ',', 0}, { 'Q', 'U', -10}, { 'R', 'Y', -35},
{ 'R', 'W', -35}, { 'R', 'V', -55}, { 'R', 'U', -30}, { 'R', 'T', -40},
{ 'R', 'O', -30}, { 'S', '.', 0}, { 'S', ',', 0}, { 'T', 'y', -74},
{ 'T', 'w', -74}, { 'T', 'u', -92}, { 'T', ';', -74}, { 'T', 'r', -74},
{ 'T', '.', -90}, { 'T', 'o', -92}, { 'T', 'i', -18}, { 'T', '-', -92},
{ 'T', 'h', 0}, { 'T', 'e', -92}, { 'T', ',', -74}, { 'T', ':', -74},
{ 'T', 'a', -92}, { 'T', 'O', -18}, { 'T', 'A', -90}, { 'U', '.', -50},
{ 'U', ',', -50}, { 'U', 'A', -60}, { 'V', 'u', -92}, { 'V', ';', -92},
{ 'V', '.', -145}, { 'V', 'o', -100}, { 'V', 'i', -37}, { 'V', '-', -74},
{ 'V', 'e', -100}, { 'V', ',', -129}, { 'V', ':', -92}, { 'V', 'a', -92},
{ 'V', 'O', -45}, { 'V', 'G', -30}, { 'V', 'A', -135}, { 'W', 'y', -60},
{ 'W', 'u', -50}, { 'W', ';', -55}, { 'W', '.', -92}, { 'W', 'o', -75},
{ 'W', 'i', -18}, { 'W', '-', -37}, { 'W', 'h', 0}, { 'W', 'e', -65},
{ 'W', ',', -92}, { 'W', ':', -55}, { 'W', 'a', -65}, { 'W', 'O', -10},
{ 'W', 'A', -120}, { 'Y', 'u', -92}, { 'Y', ';', -92}, { 'Y', '.', -92},
{ 'Y', 'o', -111}, { 'Y', 'i', -37}, { 'Y', '-', -92}, { 'Y', 'e', -111},
{ 'Y', ',', -92}, { 'Y', ':', -92}, { 'Y', 'a', -85}, { 'Y', 'O', -35},
{ 'Y', 'A', -110}, { 'a', 'y', 0}, { 'a', 'w', 0}, { 'a', 'v', -25},
{ 'a', 't', 0}, { 'a', 'p', 0}, { 'a', 'g', 0}, { 'a', 'b', 0},
{ 'b', 'y', 0}, { 'b', 'v', -15}, { 'b', 'u', -20}, { 'b', '.', -40},
{ 'b', 'l', 0}, { 'b', ',', 0}, { 'b', 'b', -10}, { 'c', 'y', 0},
{ 'c', '.', 0}, { 'c', 'l', 0}, { 'c', 'k', 0}, { 'c', 'h', 0},
{ 'c', ',', 0}, { ':', ' ', 0}, { ',', ' ', 0}, { ',', '\'', -55},
{ ',', 131, -45}, { 'd', 'y', 0}, { 'd', 'w', -15}, { 'd', 'v', 0},
{ 'd', '.', 0}, { 'd', 'd', 0}, { 'd', ',', 0}, { 'e', 'y', 0},
{ 'e', 'x', 0}, { 'e', 'w', 0}, { 'e', 'v', -15}, { 'e', '.', 0},
{ 'e', 'p', 0}, { 'e', 'g', 0}, { 'e', ',', 0}, { 'e', 'b', 0},
{ 'f', '\'', 55}, { 'f', 131, 50}, { 'f', '.', -15}, { 'f', 'o', -25},
{ 'f', 'l', 0}, { 'f', 'i', -25}, { 'f', 'f', 0}, { 'f', 'e', 0},
{ 'f', 143, -35}, { 'f', ',', -15}, { 'f', 'a', 0}, { 'g', 'y', 0},
{ 'g', 'r', 0}, { 'g', '.', -15}, { 'g', 'o', 0}, { 'g', 'i', 0},
{ 'g', 'g', 0}, { 'g', 'e', 0}, { 'g', ',', 0}, { 'g', 'a', 0},
{ 'h', 'y', -15}, { 'i', 'v', -10}, { 'k', 'y', -15}, { 'k', 'o', -15},
{ 'k', 'e', -10}, { 'l', 'y', 0}, { 'l', 'w', 0}, { 'm', 'y', 0},
{ 'm', 'u', 0}, { 'n', 'y', 0}, { 'n', 'v', -40}, { 'n', 'u', 0},
{ 'o', 'y', 0}, { 'o', 'x', 0}, { 'o', 'w', -10}, { 'o', 'v', -10},
{ 'o', 'g', 0}, { 'p', 'y', 0}, { '.', '\'', -55}, { '.', 131, -55},
{ 130, '`', 0}, { 130, 'A', -10}, { 131, ' ', 0}, { '`', '`', -63},
{ '`', 'A', -10}, { '\'', 'v', -20}, { '\'', 't', 0}, { '\'', ' ', -74},
{ '\'', 's', -37}, { '\'', 'r', -20}, { '\'', '\'', -63}, { '\'', 131, 0},
{ '\'', 'l', 0}, { '\'', 'd', -20}, { 'r', 'y', 0}, { 'r', 'v', -10},
{ 'r', 'u', 0}, { 'r', 't', 0}, { 'r', 's', 0}, { 'r', 'r', 0},
{ 'r', 'q', -18}, { 'r', '.', -100}, { 'r', 'p', -10}, { 'r', 'o', -18},
{ 'r', 'n', -15}, { 'r', 'm', 0}, { 'r', 'l', 0}, { 'r', 'k', 0},
{ 'r', 'i', 0}, { 'r', '-', -37}, { 'r', 'g', -10}, { 'r', 'e', -18},
{ 'r', 'd', 0}, { 'r', ',', -92}, { 'r', 'c', -18}, { 'r', 'a', 0},
{ 's', 'w', 0}, { ' ', '`', 0}, { ' ', 130, 0}, { ' ', 'Y', -55},
{ ' ', 'W', -30}, { ' ', 'V', -45}, { ' ', 'T', -30}, { ' ', 'A', -55},
{ 'v', '.', -70}, { 'v', 'o', -10}, { 'v', 'e', -10}, { 'v', ',', -55},
{ 'v', 'a', -10}, { 'w', '.', -70}, { 'w', 'o', -10}, { 'w', 'h', 0},
{ 'w', 'e', 0}, { 'w', ',', -55}, { 'w', 'a', 0}, { 'x', 'e', 0},
{ 'y', '.', -70}, { 'y', 'o', -25}, { 'y', 'e', -10}, { 'y', ',', -55},
{ 'y', 'a', 0}, { 'z', 'o', 0}, { 'z', 'e', 0}, {0, 0, 0}
};
int tibi_kern[][3] = {
{ 'A', 'y', -74}, { 'A', 'w', -74}, { 'A', 'v', -74}, { 'A', 'u', -30},
{ 'A', '\'', -74}, { 'A', 131, 0}, { 'A', 'p', 0}, { 'A', 'Y', -70},
{ 'A', 'W', -100}, { 'A', 'V', -95}, { 'A', 'U', -50}, { 'A', 'T', -55},
{ 'A', 'Q', -55}, { 'A', 'O', -50}, { 'A', 'G', -60}, { 'A', 'C', -65},
{ 'B', '.', 0}, { 'B', ',', 0}, { 'B', 'U', -10}, { 'B', 'A', -25},
{ 'D', '.', 0}, { 'D', ',', 0}, { 'D', 'Y', -50}, { 'D', 'W', -40},
{ 'D', 'V', -50}, { 'D', 'A', -25}, { 'F', 'r', -50}, { 'F', '.', -129},
{ 'F', 'o', -70}, { 'F', 'i', -40}, { 'F', 'e', -100}, { 'F', ',', -129},
{ 'F', 'a', -95}, { 'F', 'A', -100}, { 'G', '.', 0}, { 'G', ',', 0},
{ 'J', 'u', -40}, { 'J', '.', -10}, { 'J', 'o', -40}, { 'J', 'e', -40},
{ 'J', ',', -10}, { 'J', 'a', -40}, { 'J', 'A', -25}, { 'K', 'y', -20},
{ 'K', 'u', -20}, { 'K', 'o', -25}, { 'K', 'e', -25}, { 'K', 'O', -30},
{ 'L', 'y', -37}, { 'L', '\'', -55}, { 'L', 131, 0}, { 'L', 'Y', -37},
{ 'L', 'W', -37}, { 'L', 'V', -37}, { 'L', 'T', -18}, { 'N', '.', 0},
{ 'N', ',', 0}, { 'N', 'A', -30}, { 'O', '.', 0}, { 'O', ',', 0},
{ 'O', 'Y', -50}, { 'O', 'X', -40}, { 'O', 'W', -50}, { 'O', 'V', -50},
{ 'O', 'T', -40}, { 'O', 'A', -40}, { 'P', '.', -129}, { 'P', 'o', -55},
{ 'P', 'e', -50}, { 'P', ',', -129}, { 'P', 'a', -40}, { 'P', 'A', -85},
{ 'Q', '.', 0}, { 'Q', ',', 0}, { 'Q', 'U', -10}, { 'R', 'Y', -18},
{ 'R', 'W', -18}, { 'R', 'V', -18}, { 'R', 'U', -40}, { 'R', 'T', -30},
{ 'R', 'O', -40}, { 'S', '.', 0}, { 'S', ',', 0}, { 'T', 'y', -37},
{ 'T', 'w', -37}, { 'T', 'u', -37}, { 'T', ';', -74}, { 'T', 'r', -37},
{ 'T', '.', -92}, { 'T', 'o', -95}, { 'T', 'i', -37}, { 'T', '-', -92},
{ 'T', 'h', 0}, { 'T', 'e', -92}, { 'T', ',', -92}, { 'T', ':', -74},
{ 'T', 'a', -92}, { 'T', 'O', -18}, { 'T', 'A', -55}, { 'U', '.', 0},
{ 'U', ',', 0}, { 'U', 'A', -45}, { 'V', 'u', -55}, { 'V', ';', -74},
{ 'V', '.', -129}, { 'V', 'o', -111}, { 'V', 'i', -55}, { 'V', '-', -70},
{ 'V', 'e', -111}, { 'V', ',', -129}, { 'V', ':', -74}, { 'V', 'a', -111},
{ 'V', 'O', -30}, { 'V', 'G', -10}, { 'V', 'A', -85}, { 'W', 'y', -55},
{ 'W', 'u', -55}, { 'W', ';', -55}, { 'W', '.', -74}, { 'W', 'o', -80},
{ 'W', 'i', -37}, { 'W', '-', -50}, { 'W', 'h', 0}, { 'W', 'e', -90},
{ 'W', ',', -74}, { 'W', ':', -55}, { 'W', 'a', -85}, { 'W', 'O', -15},
{ 'W', 'A', -74}, { 'Y', 'u', -92}, { 'Y', ';', -92}, { 'Y', '.', -74},
{ 'Y', 'o', -111}, { 'Y', 'i', -55}, { 'Y', '-', -92}, { 'Y', 'e', -111},
{ 'Y', ',', -92}, { 'Y', ':', -92}, { 'Y', 'a', -92}, { 'Y', 'O', -25},
{ 'Y', 'A', -74}, { 'a', 'y', 0}, { 'a', 'w', 0}, { 'a', 'v', 0},
{ 'a', 't', 0}, { 'a', 'p', 0}, { 'a', 'g', 0}, { 'a', 'b', 0},
{ 'b', 'y', 0}, { 'b', 'v', 0}, { 'b', 'u', -20}, { 'b', '.', -40},
{ 'b', 'l', 0}, { 'b', ',', 0}, { 'b', 'b', -10}, { 'c', 'y', 0},
{ 'c', '.', 0}, { 'c', 'l', 0}, { 'c', 'k', -10}, { 'c', 'h', -10},
{ 'c', ',', 0}, { ':', ' ', 0}, { ',', ' ', 0}, { ',', '\'', -95},
{ ',', 131, -95}, { 'd', 'y', 0}, { 'd', 'w', 0}, { 'd', 'v', 0},
{ 'd', '.', 0}, { 'd', 'd', 0}, { 'd', ',', 0}, { 'e', 'y', 0},
{ 'e', 'x', 0}, { 'e', 'w', 0}, { 'e', 'v', 0}, { 'e', '.', 0},
{ 'e', 'p', 0}, { 'e', 'g', 0}, { 'e', ',', 0}, { 'e', 'b', -10},
{ 'f', '\'', 55}, { 'f', 131, 0}, { 'f', '.', -10}, { 'f', 'o', -10},
{ 'f', 'l', 0}, { 'f', 'i', 0}, { 'f', 'f', -18}, { 'f', 'e', -10},
{ 'f', 143, -30}, { 'f', ',', -10}, { 'f', 'a', 0}, { 'g', 'y', 0},
{ 'g', 'r', 0}, { 'g', '.', 0}, { 'g', 'o', 0}, { 'g', 'i', 0},
{ 'g', 'g', 0}, { 'g', 'e', 0}, { 'g', ',', 0}, { 'g', 'a', 0},
{ 'h', 'y', 0}, { 'i', 'v', 0}, { 'k', 'y', 0}, { 'k', 'o', -10},
{ 'k', 'e', -30}, { 'l', 'y', 0}, { 'l', 'w', 0}, { 'm', 'y', 0},
{ 'm', 'u', 0}, { 'n', 'y', 0}, { 'n', 'v', -40}, { 'n', 'u', 0},
{ 'o', 'y', -10}, { 'o', 'x', -10}, { 'o', 'w', -25}, { 'o', 'v', -15},
{ 'o', 'g', 0}, { 'p', 'y', 0}, { '.', '\'', -95}, { '.', 131, -95},
{ 130, '`', 0}, { 130, 'A', 0}, { 131, ' ', 0}, { '`', '`', -74},
{ '`', 'A', 0}, { '\'', 'v', -15}, { '\'', 't', -37}, { '\'', ' ', -74},
{ '\'', 's', -74}, { '\'', 'r', -15}, { '\'', '\'', -74}, { '\'', 131, 0},
{ '\'', 'l', 0}, { '\'', 'd', -15}, { 'r', 'y', 0}, { 'r', 'v', 0},
{ 'r', 'u', 0}, { 'r', 't', 0}, { 'r', 's', 0}, { 'r', 'r', 0},
{ 'r', 'q', 0}, { 'r', '.', -65}, { 'r', 'p', 0}, { 'r', 'o', 0},
{ 'r', 'n', 0}, { 'r', 'm', 0}, { 'r', 'l', 0}, { 'r', 'k', 0},
{ 'r', 'i', 0}, { 'r', '-', 0}, { 'r', 'g', 0}, { 'r', 'e', 0},
{ 'r', 'd', 0}, { 'r', ',', -65}, { 'r', 'c', 0}, { 'r', 'a', 0},
{ 's', 'w', 0}, { ' ', '`', 0}, { ' ', 130, 0}, { ' ', 'Y', -70},
{ ' ', 'W', -70}, { ' ', 'V', -70}, { ' ', 'T', 0}, { ' ', 'A', -37},
{ 'v', '.', -37}, { 'v', 'o', -15}, { 'v', 'e', -15}, { 'v', ',', -37},
{ 'v', 'a', 0}, { 'w', '.', -37}, { 'w', 'o', -15}, { 'w', 'h', 0},
{ 'w', 'e', -10}, { 'w', ',', -37}, { 'w', 'a', -10}, { 'x', 'e', -10},
{ 'y', '.', -37}, { 'y', 'o', 0}, { 'y', 'e', 0}, { 'y', ',', -37},
{ 'y', 'a', 0}, { 'z', 'o', 0}, { 'z', 'e', 0}, {0, 0, 0}
};
int hv_kern[][3] = {
{ 'A', 'y', -40}, { 'A', 'w', -40}, { 'A', 'v', -40}, { 'A', 'u', -30},
{ 'A', 'Y', -100}, { 'A', 'W', -50}, { 'A', 'V', -70}, { 'A', 'U', -50},
{ 'A', 'T', -120}, { 'A', 'Q', -30}, { 'A', 'O', -30}, { 'A', 'G', -30},
{ 'A', 'C', -30}, { 'B', '.', -20}, { 'B', ',', -20}, { 'B', 'U', -10},
{ 'C', '.', -30}, { 'C', ',', -30}, { 'D', '.', -70}, { 'D', ',', -70},
{ 'D', 'Y', -90}, { 'D', 'W', -40}, { 'D', 'V', -70}, { 'D', 'A', -40},
{ 'F', 'r', -45}, { 'F', '.', -150}, { 'F', 'o', -30}, { 'F', 'e', -30},
{ 'F', ',', -150}, { 'F', 'a', -50}, { 'F', 'A', -80}, { 'J', 'u', -20},
{ 'J', '.', -30}, { 'J', ',', -30}, { 'J', 'a', -20}, { 'J', 'A', -20},
{ 'K', 'y', -50}, { 'K', 'u', -30}, { 'K', 'o', -40}, { 'K', 'e', -40},
{ 'K', 'O', -50}, { 'L', 'y', -30}, { 'L', '\'', -160}, { 'L', 131, -140},
{ 'L', 'Y', -140}, { 'L', 'W', -70}, { 'L', 'V', -110}, { 'L', 'T', -110},
{ 'O', '.', -40}, { 'O', ',', -40}, { 'O', 'Y', -70}, { 'O', 'X', -60},
{ 'O', 'W', -30}, { 'O', 'V', -50}, { 'O', 'T', -40}, { 'O', 'A', -20},
{ 'P', '.', -180}, { 'P', 'o', -50}, { 'P', 'e', -50}, { 'P', ',', -180},
{ 'P', 'a', -40}, { 'P', 'A', -120}, { 'Q', 'U', -10}, { 'R', 'Y', -50},
{ 'R', 'W', -30}, { 'R', 'V', -50}, { 'R', 'U', -40}, { 'R', 'T', -30},
{ 'R', 'O', -20}, { 'S', '.', -20}, { 'S', ',', -20}, { 'T', 'y', -120},
{ 'T', 'w', -120}, { 'T', 'u', -120}, { 'T', ';', -20}, { 'T', 'r', -120},
{ 'T', '.', -120}, { 'T', 'o', -120}, { 'T', '-', -140}, { 'T', 'e', -120},
{ 'T', ',', -120}, { 'T', ':', -20}, { 'T', 'a', -120}, { 'T', 'O', -40},
{ 'T', 'A', -120}, { 'U', '.', -40}, { 'U', ',', -40}, { 'U', 'A', -40},
{ 'V', 'u', -70}, { 'V', ';', -40}, { 'V', '.', -125}, { 'V', 'o', -80},
{ 'V', '-', -80}, { 'V', 'e', -80}, { 'V', ',', -125}, { 'V', ':', -40},
{ 'V', 'a', -70}, { 'V', 'O', -40}, { 'V', 'G', -40}, { 'V', 'A', -80},
{ 'W', 'y', -20}, { 'W', 'u', -30}, { 'W', '.', -80}, { 'W', 'o', -30},
{ 'W', '-', -40}, { 'W', 'e', -30}, { 'W', ',', -80}, { 'W', 'a', -40},
{ 'W', 'O', -20}, { 'W', 'A', -50}, { 'Y', 'u', -110}, { 'Y', ';', -60},
{ 'Y', '.', -140}, { 'Y', 'o', -140}, { 'Y', 'i', -20}, { 'Y', '-', -140},
{ 'Y', 'e', -140}, { 'Y', ',', -140}, { 'Y', ':', -60}, { 'Y', 'a', -140},
{ 'Y', 'O', -85}, { 'Y', 'A', -110}, { 'a', 'y', -30}, { 'a', 'w', -20},
{ 'a', 'v', -20}, { 'b', 'y', -20}, { 'b', 'v', -20}, { 'b', 'u', -20},
{ 'b', '.', -40}, { 'b', 'l', -20}, { 'b', ',', -40}, { 'b', 'b', -10},
{ 'c', 'k', -20}, { 'c', ',', -15}, { ':', ' ', -50}, { ',', '\'', -100},
{ ',', 131, -100}, { 'e', 'y', -20}, { 'e', 'x', -30}, { 'e', 'w', -20},
{ 'e', 'v', -30}, { 'e', '.', -15}, { 'e', ',', -15}, { 'f', '\'', 50},
{ 'f', 131, 60}, { 'f', '.', -30}, { 'f', 'o', -30}, { 'f', 'e', -30},
{ 'f', 143, -28}, { 'f', ',', -30}, { 'f', 'a', -30}, { 'g', 'r', -10},
{ 'h', 'y', -30}, { 'k', 'o', -20}, { 'k', 'e', -20}, { 'm', 'y', -15},
{ 'm', 'u', -10}, { 'n', 'y', -15}, { 'n', 'v', -20}, { 'n', 'u', -10},
{ 'o', 'y', -30}, { 'o', 'x', -30}, { 'o', 'w', -15}, { 'o', 'v', -15},
{ 'o', '.', -40}, { 'o', ',', -40}, { 248, 'z', -55}, { 248, 'y', -70},
{ 248, 'x', -85}, { 248, 'w', -70}, { 248, 'v', -70}, { 248, 'u', -55},
{ 248, 't', -55}, { 248, 's', -55}, { 248, 'r', -55}, { 248, 'q', -55},
{ 248, '.', -95}, { 248, 'p', -55}, { 248, 'o', -55}, { 248, 'n', -55},
{ 248, 'm', -55}, { 248, 'l', -55}, { 248, 'k', -55}, { 248, 'j', -55},
{ 248, 'i', -55}, { 248, 'h', -55}, { 248, 'g', -55}, { 248, 'f', -55},
{ 248, 'e', -55}, { 248, 'd', -55}, { 248, ',', -95}, { 248, 'c', -55},
{ 248, 'b', -55}, { 248, 'a', -55}, { 'p', 'y', -30}, { 'p', '.', -35},
{ 'p', ',', -35}, { '.', ' ', -60}, { '.', '\'', -100}, { '.', 131, -100},
{ 131, ' ', -40}, { '`', '`', -57}, { '\'', ' ', -70}, { '\'', 's', -50},
{ '\'', 'r', -50}, { '\'', '\'', -57}, { '\'', 'd', -50}, { 'r', 'y', 30},
{ 'r', 'v', 30}, { 'r', 'u', 15}, { 'r', 't', 40}, { 'r', ';', 30},
{ 'r', '.', -50}, { 'r', 'p', 30}, { 'r', 'n', 25}, { 'r', 'm', 25},
{ 'r', 'l', 15}, { 'r', 'k', 15}, { 'r', 'i', 15}, { 'r', ',', -50},
{ 'r', ':', 30}, { 'r', 'a', -10}, { 's', 'w', -30}, { 's', '.', -15},
{ 's', ',', -15}, { ';', ' ', -50}, { ' ', '`', -60}, { ' ', 130, -30},
{ ' ', 'Y', -90}, { ' ', 'W', -40}, { ' ', 'V', -50}, { ' ', 'T', -50},
{ 'v', '.', -80}, { 'v', 'o', -25}, { 'v', 'e', -25}, { 'v', ',', -80},
{ 'v', 'a', -25}, { 'w', '.', -60}, { 'w', 'o', -10}, { 'w', 'e', -10},
{ 'w', ',', -60}, { 'w', 'a', -15}, { 'x', 'e', -30}, { 'y', '.', -100},
{ 'y', 'o', -20}, { 'y', 'e', -20}, { 'y', ',', -100}, { 'y', 'a', -20},
{ 'z', 'o', -15}, { 'z', 'e', -15}, {0, 0, 0}
};
int por_kern[][3] = {
{ 'A', 'y', -74}, { 'A', 'w', -74}, { 'A', 'v', -92}, { 'A', ' ', -55},
{ 'A', '\'', -74}, { 'A', 'Y', -111}, { 'A', 'W', -74}, { 'A', 'V', -111},
{ 'A', 'T', -74}, { 'F', '.', -92}, { 'F', ',', -92}, { 'F', 'A', -74},
{ 'L', 'y', -55}, { 'L', ' ', -37}, { 'L', '\'', -74}, { 'L', 'Y', -92},
{ 'L', 'W', -74}, { 'L', 'V', -92}, { 'L', 'T', -74}, { 'P', ' ', -18},
{ 'P', '.', -129}, { 'P', ',', -129}, { 'P', 'A', -92}, { 'R', 'y', -37},
{ 'R', 'Y', -37}, { 'R', 'W', -37}, { 'R', 'V', -55}, { 'R', 'T', -37},
{ 'T', 'y', -90}, { 'T', 'w', -90}, { 'T', 'u', -90}, { 'T', ';', -55},
{ 'T', 's', -90}, { 'T', 'r', -90}, { 'T', '.', -74}, { 'T', 'o', -92},
{ 'T', 'i', -55}, { 'T', '-', -55}, { 'T', 'e', -92}, { 'T', ',', -74},
{ 'T', ':', -55}, { 'T', 'c', -111}, { 'T', 'a', -92}, { 'T', 'O', -18},
{ 'T', 'A', -74}, { 'V', 'y', -92}, { 'V', 'u', -92}, { 'V', ';', -55},
{ 'V', 'r', -92}, { 'V', '.', -129}, { 'V', 'o', -111}, { 'V', 'i', -55},
{ 'V', '-', -74}, { 'V', 'e', -111}, { 'V', ',', -129}, { 'V', ':', -55},
{ 'V', 'a', -92}, { 'V', 'A', -111}, { 'W', 'y', -50}, { 'W', 'u', -50},
{ 'W', ';', -18}, { 'W', 'r', -74}, { 'W', '.', -92}, { 'W', 'o', -92},
{ 'W', 'i', -55}, { 'W', '-', -55}, { 'W', 'e', -92}, { 'W', ',', -92},
{ 'W', ':', -18}, { 'W', 'a', -92}, { 'W', 'A', -92}, { 'Y', 'v', -90},
{ 'Y', 'u', -90}, { 'Y', ' ', -18}, { 'Y', ';', -74}, { 'Y', 'q', -90},
{ 'Y', '.', -111}, { 'Y', 'p', -111}, { 'Y', 'o', -92}, { 'Y', 'i', -55},
{ 'Y', '-', -92}, { 'Y', 'e', -92}, { 'Y', ',', -111}, { 'Y', ':', -74},
{ 'Y', 'a', -92}, { 'Y', 'A', -92}, { 'f', '\'', 55}, { 'f', 'f', -18},
{ '1', '1', -55}, { '`', '`', -37}, { '\'', '\'', -37}, { 'r', 'u', -8},
{ 'r', '\'', 74}, { 'r', 'q', -18}, { 'r', '.', -74}, { 'r', 'o', -18},
{ 'r', '-', -18}, { 'r', 'h', -18}, { 'r', 'g', -18}, { 'r', 'e', -18},
{ 'r', 'd', -18}, { 'r', ',', -74}, { 'r', 'c', -18}, { ' ', 'Y', -18},
{ ' ', 'A', -37}, { 'v', '.', -111}, { 'v', ',', -111}, { 'w', '.', -92},
{ 'w', ',', -92}, { 'y', '.', -111}, { 'y', ',', -111}, {0, 0, 0}
};
int poi_kern[][3] = {
{ 'A', 'y', -55}, { 'A', 'w', -37}, { 'A', 'v', -37}, { 'A', ' ', -37},
{ 'A', '\'', -55}, { 'A', 'Y', -55}, { 'A', 'W', -55}, { 'A', 'V', -74},
{ 'A', 'T', -55}, { 'F', '.', -111}, { 'F', ',', -111}, { 'F', 'A', -111},
{ 'L', 'y', -37}, { 'L', ' ', -18}, { 'L', '\'', -37}, { 'L', 'Y', -74},
{ 'L', 'W', -74}, { 'L', 'V', -74}, { 'L', 'T', -74}, { 'P', '.', -129},
{ 'P', ',', -129}, { 'P', 'A', -129}, { 'R', 'y', -37}, { 'R', 'Y', -55},
{ 'R', 'W', -55}, { 'R', 'V', -74}, { 'R', 'T', -55}, { 'T', 'y', -92},
{ 'T', 'w', -92}, { 'T', 'u', -111}, { 'T', ';', -74}, { 'T', 's', -111},
{ 'T', 'r', -111}, { 'T', '.', -74}, { 'T', 'o', -111}, { 'T', 'i', -55},
{ 'T', '-', -55}, { 'T', 'e', -111}, { 'T', ',', -74}, { 'T', ':', -74},
{ 'T', 'c', -111}, { 'T', 'a', -111}, { 'T', 'O', -18}, { 'T', 'A', -92},
{ 'V', 'y', -74}, { 'V', 'u', -74}, { 'V', ';', -37}, { 'V', 'r', -92},
{ 'V', '.', -129}, { 'V', 'o', -74}, { 'V', 'i', -74}, { 'V', '-', -55},
{ 'V', 'e', -92}, { 'V', ',', -129}, { 'V', ':', -37}, { 'V', 'a', -74},
{ 'V', 'A', -210}, { 'W', 'y', -20}, { 'W', 'u', -20}, { 'W', ';', -18},
{ 'W', 'r', -20}, { 'W', '.', -55}, { 'W', 'o', -20}, { 'W', 'i', -20},
{ 'W', '-', -18}, { 'W', 'e', -20}, { 'W', ',', -55}, { 'W', ':', -18},
{ 'W', 'a', -20}, { 'W', 'A', -92}, { 'Y', 'v', -74}, { 'Y', 'u', -92},
{ 'Y', ';', -74}, { 'Y', 'q', -92}, { 'Y', '.', -92}, { 'Y', 'p', -74},
{ 'Y', 'o', -111}, { 'Y', 'i', -55}, { 'Y', '-', -74}, { 'Y', 'e', -111},
{ 'Y', ',', -92}, { 'Y', ':', -74}, { 'Y', 'a', -92}, { 'Y', 'A', -92},
{ 'f', '\'', 55}, { '1', '1', -55}, { '`', '`', -74}, { '\'', 't', -37},
{ '\'', ' ', -55}, { '\'', 's', -55}, { '\'', '\'', -74}, { 'r', '\'', 37},
{ 'r', 'q', -18}, { 'r', '.', -74}, { 'r', 'o', -18}, { 'r', 'h', -18},
{ 'r', 'g', -18}, { 'r', 'e', -18}, { 'r', ',', -74}, { 'r', 'c', -18},
{ 'v', '.', -55}, { 'v', ',', -55}, { 'w', '.', -55}, { 'w', ',', -55},
{ 'y', '.', -37}, { 'y', ',', -37}, {0, 0, 0}
};
int pob_kern[][3] = {
{ 'A', 'y', -70}, { 'A', 'w', -70}, { 'A', 'v', -70}, { 'A', ' ', -18},
{ 'A', '\'', -92}, { 'A', 'Y', -111}, { 'A', 'W', -90}, { 'A', 'V', -129},
{ 'A', 'T', -92}, { 'F', '.', -111}, { 'F', ',', -111}, { 'F', 'A', -55},
{ 'L', 'y', -74}, { 'L', ' ', -18}, { 'L', '\'', -74}, { 'L', 'Y', -92},
{ 'L', 'W', -92}, { 'L', 'V', -92}, { 'L', 'T', -74}, { 'P', '.', -129},
{ 'P', ',', -129}, { 'P', 'A', -74}, { 'R', 'y', -30}, { 'R', 'Y', -55},
{ 'R', 'W', -37}, { 'R', 'V', -74}, { 'R', 'T', -55}, { 'T', 'y', -90},
{ 'T', 'w', -90}, { 'T', 'u', -129}, { 'T', ';', -74}, { 'T', 's', -111},
{ 'T', 'r', -111}, { 'T', '.', -92}, { 'T', 'o', -111}, { 'T', 'i', -55},
{ 'T', '-', -92}, { 'T', 'e', -111}, { 'T', ',', -92}, { 'T', ':', -74},
{ 'T', 'c', -129}, { 'T', 'a', -111}, { 'T', 'A', -92}, { 'V', 'y', -90},
{ 'V', 'u', -92}, { 'V', ';', -74}, { 'V', 'r', -111}, { 'V', '.', -129},
{ 'V', 'o', -111}, { 'V', 'i', -55}, { 'V', '-', -92}, { 'V', 'e', -111},
{ 'V', ',', -129}, { 'V', ':', -74}, { 'V', 'a', -111}, { 'V', 'A', -129},
{ 'W', 'y', -74}, { 'W', 'u', -74}, { 'W', ';', -37}, { 'W', 'r', -74},
{ 'W', '.', -37}, { 'W', 'o', -74}, { 'W', 'i', -37}, { 'W', '-', -37},
{ 'W', 'e', -74}, { 'W', ',', -92}, { 'W', ':', -37}, { 'W', 'a', -74},
{ 'W', 'A', -90}, { 'Y', 'v', -74}, { 'Y', 'u', -74}, { 'Y', ';', -55},
{ 'Y', 'q', -92}, { 'Y', '.', -74}, { 'Y', 'p', -74}, { 'Y', 'o', -74},
{ 'Y', 'i', -55}, { 'Y', '-', -74}, { 'Y', 'e', -74}, { 'Y', ',', -74},
{ 'Y', ':', -55}, { 'Y', 'a', -74}, { 'Y', 'A', -55}, { 'f', '\'', 37},
{ 'f', 'f', -18}, { '1', '1', -37}, { '`', '`', -55}, { '\'', 't', -18},
{ '\'', ' ', -55}, { '\'', 's', -55}, { '\'', '\'', -55}, { 'r', '\'', 55},
{ 'r', '.', -55}, { 'r', '-', -18}, { 'r', ',', -55}, { 'v', '.', -111},
{ 'v', ',', -111}, { 'w', '.', -92}, { 'w', ',', -92}, { 'y', '.', -92},
{ 'y', ',', -92}, {0, 0, 0}
};
int pobi_kern[][3] = {
{ 'A', 'y', -55}, { 'A', 'w', -37}, { 'A', 'v', -55}, { 'A', ' ', -55},
{ 'A', '\'', -55}, { 'A', 'Y', -74}, { 'A', 'W', -74}, { 'A', 'V', -74},
{ 'A', 'T', -55}, { 'F', ' ', -18}, { 'F', '.', -111}, { 'F', ',', -111},
{ 'F', 'A', -74}, { 'L', 'y', -37}, { 'L', ' ', -18}, { 'L', '\'', -55},
{ 'L', 'Y', -74}, { 'L', 'W', -74}, { 'L', 'V', -74}, { 'L', 'T', -74},
{ 'P', ' ', -55}, { 'P', '.', -129}, { 'P', ',', -129}, { 'P', 'A', -92},
{ 'R', 'y', -20}, { 'R', 'Y', -37}, { 'R', 'W', -55}, { 'R', 'V', -55},
{ 'R', 'T', -37}, { 'T', 'y', -80}, { 'T', 'w', -50}, { 'T', 'u', -92},
{ 'T', ';', -55}, { 'T', 's', -92}, { 'T', 'r', -92}, { 'T', '.', -55},
{ 'T', 'o', -111}, { 'T', 'i', -74}, { 'T', '-', -92}, { 'T', 'e', -111},
{ 'T', ',', -55}, { 'T', ':', -55}, { 'T', 'c', -92}, { 'T', 'a', -111},
{ 'T', 'O', -18}, { 'T', 'A', -55}, { 'V', 'y', -50}, { 'V', 'u', -50},
{ 'V', ';', -37}, { 'V', 'r', -74}, { 'V', '.', -111}, { 'V', 'o', -74},
{ 'V', 'i', -50}, { 'V', '-', -37}, { 'V', 'e', -74}, { 'V', ',', -111},
{ 'V', ':', -37}, { 'V', 'a', -92}, { 'V', 'A', -74}, { 'W', 'y', -30},
{ 'W', 'u', -30}, { 'W', ';', -18}, { 'W', 'r', -30}, { 'W', '.', -55},
{ 'W', 'o', -55}, { 'W', 'i', -30}, { 'W', 'e', -55}, { 'W', ',', -55},
{ 'W', ':', -28}, { 'W', 'a', -74}, { 'W', 'A', -74}, { 'Y', 'v', -30},
{ 'Y', 'u', -50}, { 'Y', ';', -55}, { 'Y', 'q', -92}, { 'Y', '.', -55},
{ 'Y', 'p', -74}, { 'Y', 'o', -111}, { 'Y', 'i', -54}, { 'Y', '-', -55},
{ 'Y', 'e', -92}, { 'Y', ',', -55}, { 'Y', ':', -55}, { 'Y', 'a', -111},
{ 'Y', 'A', -55}, { 'f', '\'', 37}, { 'f', 'f', -37}, { '1', '1', -55},
{ '`', '`', -55}, { '\'', 't', -18}, { '\'', ' ', -37}, { '\'', 's', -37},
{ '\'', '\'', -55}, { 'r', '\'', 55}, { 'r', 'q', -18}, { 'r', '.', -55},
{ 'r', 'o', -18}, { 'r', 'h', -18}, { 'r', 'g', -18}, { 'r', 'e', -18},
{ 'r', ',', -55}, { 'r', 'c', -18}, { 'v', '.', -55}, { 'v', ',', -55},
{ 'w', '.', -55}, { 'w', ',', -55}, { 'y', '.', -37}, { 'y', ',', -37},
{0, 0, 0}
};
int ncb_kern[][3] = {
{ 'A', 'y', -18}, { 'A', 'w', -18}, { 'A', 'v', -18}, { 'A', '\'', -74},
{ 'A', 131, -74}, { 'A', 'Y', -91}, { 'A', 'W', -74}, { 'A', 'V', -74},
{ 'A', 'U', -18}, { 'A', 'T', -55}, { 'C', '.', -18}, { 'C', ',', -18},
{ 'D', '.', -25}, { 'D', ',', -25}, { 'F', 'r', -18}, { 'F', '.', -125},
{ 'F', 'o', -55}, { 'F', 'i', -18}, { 'F', 'e', -55}, { 'F', ',', -125},
{ 'F', 'a', -74}, { 'J', 'u', -18}, { 'J', '.', -55}, { 'J', 'o', -18},
{ 'J', 'e', -18}, { 'J', ',', -55}, { 'J', 'a', -18}, { 'J', 'A', -18},
{ 'K', 'y', -25}, { 'K', 'u', -18}, { 'L', 'y', -25}, { 'L', '\'', -100},
{ 'L', 131, -100}, { 'L', 'Y', -74}, { 'L', 'W', -74}, { 'L', 'V', -100},
{ 'L', 'T', -100}, { 'N', '.', -18}, { 'N', ',', -18}, { 'O', '.', -25},
{ 'O', ',', -25}, { 'O', 'T', 10}, { 'P', '.', -150}, { 'P', 'o', -55},
{ 'P', 'e', -55}, { 'P', ',', -150}, { 'P', 'a', -55}, { 'P', 'A', -74},
{ 'S', '.', -18}, { 'S', ',', -18}, { 'T', 'u', -18}, { 'T', 'r', -18},
{ 'T', '.', -100}, { 'T', 'o', -74}, { 'T', 'i', -18}, { 'T', '-', -125},
{ 'T', 'e', -74}, { 'T', ',', -100}, { 'T', 'a', -74}, { 'T', 'O', 10},
{ 'T', 'A', -55}, { 'U', '.', -25}, { 'U', ',', -25}, { 'U', 'A', -18},
{ 'V', 'u', -55}, { 'V', ';', -37}, { 'V', '.', -125}, { 'V', 'o', -74},
{ 'V', 'i', -18}, { 'V', '-', -100}, { 'V', 'e', -74}, { 'V', ',', -125},
{ 'V', ':', -37}, { 'V', 'a', -74}, { 'V', 'A', -74}, { 'W', 'y', -25},
{ 'W', 'u', -37}, { 'W', ';', -55}, { 'W', '.', -100}, { 'W', 'o', -74},
{ 'W', 'i', -18}, { 'W', '-', -100}, { 'W', 'e', -74}, { 'W', ',', -100},
{ 'W', ':', -55}, { 'W', 'a', -74}, { 'W', 'A', -74}, { 'Y', 'u', -55},
{ 'Y', ';', -25}, { 'Y', '.', -100}, { 'Y', 'o', -100}, { 'Y', 'i', -18},
{ 'Y', '-', -125}, { 'Y', 'e', -100}, { 'Y', ',', -100}, { 'Y', ':', -25},
{ 'Y', 'a', -100}, { 'Y', 'A', -91}, { ':', ' ', -18}, { ',', ' ', -18},
{ ',', '\'', -18}, { ',', 131, -18}, { 'f', '\'', 75}, { 'f', 131, 75},
{ '.', ' ', -18}, { '.', '\'', -18}, { '.', 131, -18}, { 130, 'A', -74},
{ 131, ' ', -18}, { '`', 'A', -74}, { '\'', 's', -25}, { '\'', 'd', -25},
{ 'r', '.', -74}, { 'r', ',', -74}, { ';', ' ', -18}, { ' ', '`', -18},
{ ' ', 130, -18}, { ' ', 'Y', -18}, { ' ', 'W', -18}, { ' ', 'V', -18},
{ ' ', 'T', -18}, { ' ', 'A', -18}, { 'v', '.', -100}, { 'v', ',', -100},
{ 'w', '.', -100}, { 'w', ',', -100}, { 'y', '.', -100}, { 'y', ',', -100},{0, 0, 0}
};
int ncbi_kern[][3] = {
{ 'A', 'y', -33}, { 'A', 'w', -25}, { 'A', 'v', -10}, { 'A', 'u', -15},
{ 'A', '\'', -95}, { 'A', 131, -95}, { 'A', 'Y', -70}, { 'A', 'W', -84},
{ 'A', 'V', -100}, { 'A', 'U', -32}, { 'A', 'T', 5}, { 'A', 'Q', 5},
{ 'A', 'O', 5}, { 'A', 'G', 5}, { 'A', 'C', 5}, { 'B', '.', 15},
{ 'B', ',', 15}, { 'B', 'U', 15}, { 'B', 'A', -11}, { 'C', 'A', -5},
{ 'D', '.', -11}, { 'D', ',', -11}, { 'D', 'Y', 6}, { 'D', 'W', -11},
{ 'D', 'V', -18}, { 'F', 'r', -27}, { 'F', '.', -91}, { 'F', 'o', -47},
{ 'F', 'i', -41}, { 'F', 'e', -41}, { 'F', ',', -91}, { 'F', 'a', -47},
{ 'F', 'A', -79}, { 'J', 'u', -39}, { 'J', '.', -74}, { 'J', 'o', -40},
{ 'J', 'e', -33}, { 'J', ',', -74}, { 'J', 'a', -40}, { 'J', 'A', -30},
{ 'K', 'y', -48}, { 'K', 'u', -4}, { 'K', 'o', -4}, { 'K', 'e', 18},
{ 'L', 'y', -30}, { 'L', '\'', -100}, { 'L', 131, -100}, { 'L', 'Y', -55},
{ 'L', 'W', -69}, { 'L', 'V', -97}, { 'L', 'T', -75}, { 'N', '.', -49},
{ 'N', ',', -49}, { 'O', '.', -18}, { 'O', ',', -18}, { 'O', 'X', -18},
{ 'O', 'W', -15}, { 'O', 'V', -24}, { 'O', 'A', -5}, { 'P', '.', -100},
{ 'P', 'o', -40}, { 'P', 'e', -33}, { 'P', ',', -100}, { 'P', 'a', -40},
{ 'P', 'A', -80}, { 'R', 'W', -14}, { 'R', 'V', -24}, { 'S', '.', -18},
{ 'S', ',', -18}, { 'T', 'y', -30}, { 'T', 'w', -30}, { 'T', 'u', -22},
{ 'T', 'r', -9}, { 'T', '.', -55}, { 'T', 'o', -40}, { 'T', 'i', -22},
{ 'T', '-', -75}, { 'T', 'h', -9}, { 'T', 'e', -33}, { 'T', ',', -55},
{ 'T', 'a', -40}, { 'T', 'O', 11}, { 'T', 'A', -60}, { 'U', '.', -25},
{ 'U', ',', -25}, { 'U', 'A', -42}, { 'V', 'u', -70}, { 'V', ';', 6},
{ 'V', '.', -94}, { 'V', 'o', -71}, { 'V', 'i', -35}, { 'V', '-', -94},
{ 'V', 'e', -66}, { 'V', ',', -94}, { 'V', ':', -49}, { 'V', 'a', -55},
{ 'V', 'O', -19}, { 'V', 'G', -12}, { 'V', 'A', -100}, { 'W', 'y', -41},
{ 'W', 'u', -25}, { 'W', ';', -22}, { 'W', '.', -86}, { 'W', 'o', -33},
{ 'W', 'i', -27}, { 'W', '-', -61}, { 'W', 'h', 5}, { 'W', 'e', -39},
{ 'W', ',', -86}, { 'W', ':', -22}, { 'W', 'a', -33}, { 'W', 'O', -11},
{ 'W', 'A', -66}, { 'Y', 'u', -58}, { 'Y', ';', -55}, { 'Y', '.', -91},
{ 'Y', 'o', -77}, { 'Y', 'i', -22}, { 'Y', '-', -91}, { 'Y', 'e', -71},
{ 'Y', ',', -91}, { 'Y', ':', -55}, { 'Y', 'a', -77}, { 'Y', 'A', -79},
{ 'a', 'y', -8}, { 'a', 'w', -8}, { 'a', 'v', 6}, { 'b', 'y', -6},
{ 'b', 'v', 8}, { 'b', '.', 6}, { 'b', ',', 6}, { 'c', 'y', -20},
{ 'c', '.', -8}, { 'c', 'l', -13}, { 'c', 'k', -8}, { 'c', 'h', -18},
{ 'c', ',', -8}, { ':', ' ', -18}, { ',', ' ', -18}, { ',', '\'', -18},
{ ',', 131, -18}, { 'd', 'y', -15}, { 'd', 'w', -15}, { 'e', 'y', -15},
{ 'e', 'x', -5}, { 'e', 'w', -15}, { 'e', 'p', -11}, { 'e', 'g', -4},
{ 'e', 'b', -8}, { 'f', '\'', 105}, { 'f', 131, 105}, { 'f', '.', -28},
{ 'f', 'o', 7}, { 'f', 'l', 7}, { 'f', 'i', 7}, { 'f', 'e', 14},
{ 'f', 143, 7}, { 'f', ',', -28}, { 'f', 'a', 8}, { 'g', 'y', -11},
{ 'g', 'r', 11}, { 'g', '.', -5}, { 'g', ',', -5}, { 'h', 'y', -20},
{ 'i', 'v', 7}, { 'k', 'y', -15}, { 'k', 'o', -22}, { 'k', 'e', -16},
{ 'l', 'y', -7}, { 'l', 'w', -7}, { 'm', 'y', -20}, { 'm', 'u', -11},
{ 'n', 'y', -20}, { 'n', 'v', -7}, { 'n', 'u', -11}, { 'o', 'y', -11},
{ 'o', 'w', -8}, { 'o', 'v', 6}, { 'p', 'y', -4}, { 'p', '.', 8},
{ 'p', ',', 8}, { '.', ' ', -18}, { '.', '\'', -18}, { '.', 131, -18},
{ 130, '`', 20}, { 130, 'A', -60}, { 131, ' ', -18}, { '`', 'A', -80},
{ '\'', 'v', -16}, { '\'', 't', -22}, { '\'', 's', -46}, { '\'', 'r', -9},
{ '\'', 'l', -22}, { '\'', 'd', -41}, { 'r', 'y', -20}, { 'r', 'v', -7},
{ 'r', 'u', -11}, { 'r', 't', -11}, { 'r', ';', 9}, { 'r', 's', -20},
{ 'r', '\'', 9}, { 'r', '.', -90}, { 'r', 'p', -17}, { 'r', 'o', -11},
{ 'r', 'l', -14}, { 'r', 'k', 9}, { 'r', 'i', -14}, { 'r', '-', -16},
{ 'r', 'g', -11}, { 'r', 'e', -7}, { 'r', 'd', -7}, { 'r', ',', -90},
{ 'r', ':', 9}, { 'r', 'a', -11}, { 's', '.', 11}, { 's', ',', 11},
{ ';', ' ', -18}, { ' ', 130, -18}, { ' ', 'Y', -18}, { ' ', 'W', -33},
{ ' ', 'V', -24}, { ' ', 'T', -18}, { ' ', 'A', -22}, { 'v', '.', -11},
{ 'v', 'o', -6}, { 'v', ',', -11}, { 'v', 'a', -6}, { 'w', '.', -17},
{ 'w', 'o', -14}, { 'w', 'e', -8}, { 'w', ',', -17}, { 'w', 'a', -14},
{ 'x', 'e', 5}, { 'y', '.', -25}, { 'y', 'o', 8}, { 'y', 'e', 15},
{ 'y', ',', -25}, { 'y', 'a', 8}, { 'z', 'e', 4}, {0, 0, 0}
};
int nci_kern[][3] = {
{ 'A', 'y', -55}, { 'A', 'w', -18}, { 'A', 'v', -18}, { 'A', 'u', -18},
{ 'A', '\'', -125}, { 'A', 131, -125}, { 'A', 'Y', -55}, { 'A', 'W', -74},
{ 'A', 'V', -74}, { 'A', 'U', -37}, { 'A', 'T', -30}, { 'A', 'Q', -18},
{ 'A', 'O', -18}, { 'A', 'G', -18}, { 'A', 'C', -18}, { 'B', '.', -50},
{ 'B', ',', -50}, { 'C', '.', -50}, { 'C', ',', -50}, { 'D', '.', -50},
{ 'D', ',', -50}, { 'D', 'Y', -18}, { 'D', 'W', -18}, { 'D', 'V', -18},
{ 'F', 'r', -55}, { 'F', '.', -125}, { 'F', 'o', -55}, { 'F', 'i', -10},
{ 'F', 'e', -55}, { 'F', ',', -125}, { 'F', 'a', -55}, { 'F', 'A', -35},
{ 'G', '.', -50}, { 'G', ',', -50}, { 'J', 'u', -18}, { 'J', '.', -100},
{ 'J', 'o', -37}, { 'J', 'e', -37}, { 'J', ',', -100}, { 'J', 'a', -37},
{ 'J', 'A', -18}, { 'L', 'y', -50}, { 'L', '\'', -125}, { 'L', 131, -125},
{ 'L', 'Y', -100}, { 'L', 'W', -100}, { 'L', 'V', -100}, { 'L', 'T', -100},
{ 'N', '.', -60}, { 'N', ',', -60}, { 'O', '.', -50}, { 'O', ',', -50},
{ 'O', 'Y', -18}, { 'O', 'X', -18}, { 'O', 'V', -18}, { 'O', 'T', 18},
{ 'P', '.', -125}, { 'P', 'o', -55}, { 'P', 'e', -55}, { 'P', ',', -125},
{ 'P', 'a', -55}, { 'P', 'A', -50}, { 'Q', '.', -20}, { 'Q', ',', -20},
{ 'R', 'Y', -18}, { 'R', 'W', -18}, { 'R', 'V', -18}, { 'R', 'U', -18},
{ 'S', '.', -50}, { 'S', ',', -50}, { 'T', 'y', -50}, { 'T', 'w', -50},
{ 'T', 'u', -50}, { 'T', ';', -50}, { 'T', 'r', -50}, { 'T', '.', -100},
{ 'T', 'o', -74}, { 'T', 'i', -18}, { 'T', '-', -100}, { 'T', 'h', -25},
{ 'T', 'e', -74}, { 'T', ',', -100}, { 'T', ':', -50}, { 'T', 'a', -74},
{ 'T', 'O', 18}, { 'U', '.', -100}, { 'U', ',', -100}, { 'U', 'A', -18},
{ 'V', 'u', -75}, { 'V', ';', -75}, { 'V', '.', -100}, { 'V', 'o', -75},
{ 'V', 'i', -50}, { 'V', '-', -100}, { 'V', 'e', -75}, { 'V', ',', -100},
{ 'V', ':', -75}, { 'V', 'a', -75}, { 'V', 'A', -37}, { 'W', 'y', -55},
{ 'W', 'u', -55}, { 'W', ';', -75}, { 'W', '.', -100}, { 'W', 'o', -55},
{ 'W', 'i', -20}, { 'W', '-', -75}, { 'W', 'h', -20}, { 'W', 'e', -55},
{ 'W', ',', -100}, { 'W', ':', -75}, { 'W', 'a', -55}, { 'W', 'A', -55},
{ 'Y', 'u', -100}, { 'Y', ';', -75}, { 'Y', '.', -100}, { 'Y', 'o', -100},
{ 'Y', 'i', -25}, { 'Y', '-', -100}, { 'Y', 'e', -100}, { 'Y', ',', -100},
{ 'Y', ':', -75}, { 'Y', 'a', -100}, { 'Y', 'A', -55}, { 'b', '.', -50},
{ 'b', ',', -50}, { 'b', 'b', -10}, { 'c', '.', -50}, { 'c', 'k', -18},
{ 'c', 'h', -18}, { 'c', ',', -50}, { ':', ' ', -37}, { ',', ' ', -37},
{ ',', '\'', -37}, { ',', 131, -37}, { 'e', '.', -37}, { 'e', ',', -37},
{ 'f', '\'', 75}, { 'f', 131, 75}, { 'f', '.', -75}, { 'f', 'o', -10},
{ 'f', ',', -75}, { 'g', '.', -50}, { 'g', ',', -50}, { 'l', 'y', -10},
{ 'o', '.', -50}, { 'o', ',', -50}, { 'p', '.', -50}, { 'p', ',', -50},
{ '.', ' ', -37}, { '.', '\'', -37}, { '.', 131, -37}, { 130, 'A', -75},
{ 131, ' ', -37}, { '`', '`', -37}, { '`', 'A', -75}, { '\'', 's', -25},
{ '\'', '\'', -37}, { '\'', 'd', -37}, { 'r', ';', -25}, { 'r', 's', -10},
{ 'r', '.', -125}, { 'r', 'k', -18}, { 'r', '-', -75}, { 'r', ',', -125},
{ 'r', ':', -25}, { 's', '.', -50}, { 's', ',', -50}, { ';', ' ', -37},
{ ' ', '`', -37}, { ' ', 130, -37}, { ' ', 'Y', -37}, { ' ', 'W', -37},
{ ' ', 'V', -37}, { ' ', 'T', -37}, { ' ', 'A', -37}, { 'v', '.', -75},
{ 'v', ',', -75}, { 'w', '.', -75}, { 'w', ',', -75}, { 'y', '.', -75},
{ 'y', ',', -75}, {0, 0, 0}
};
int ncr_kern[][3] = {
{ 'A', 'y', -37}, { 'A', 'w', -25}, { 'A', 'v', -37}, { 'A', '\'', -74},
{ 'A', 131, -74}, { 'A', 'Y', -75}, { 'A', 'W', -50}, { 'A', 'V', -75},
{ 'A', 'U', -30}, { 'A', 'T', -18}, { 'B', '.', -37}, { 'B', ',', -37},
{ 'B', 'A', -18}, { 'C', '.', -37}, { 'C', ',', -37}, { 'C', 'A', -18},
{ 'D', '.', -37}, { 'D', ',', -37}, { 'D', 'Y', -18}, { 'D', 'V', -18},
{ 'F', 'r', -10}, { 'F', '.', -125}, { 'F', 'o', -55}, { 'F', 'i', -10},
{ 'F', 'e', -55}, { 'F', ',', -125}, { 'F', 'a', -65}, { 'F', 'A', -50},
{ 'G', '.', -37}, { 'G', ',', -37}, { 'J', 'u', -25}, { 'J', '.', -74},
{ 'J', 'o', -25}, { 'J', 'e', -25}, { 'J', ',', -74}, { 'J', 'a', -25},
{ 'J', 'A', -18}, { 'K', 'y', -25}, { 'K', 'o', 10}, { 'K', 'e', 10},
{ 'L', 'y', -25}, { 'L', '\'', -100}, { 'L', 131, -100}, { 'L', 'Y', -74},
{ 'L', 'W', -74}, { 'L', 'V', -91}, { 'L', 'T', -75}, { 'N', '.', -55},
{ 'N', ',', -55}, { 'O', '.', -37}, { 'O', ',', -37}, { 'O', 'Y', -18},
{ 'O', 'V', -18}, { 'O', 'T', 10}, { 'P', '.', -125}, { 'P', 'o', -37},
{ 'P', 'e', -37}, { 'P', ',', -125}, { 'P', 'a', -37}, { 'P', 'A', -55},
{ 'Q', '.', -25}, { 'Q', ',', -25}, { 'S', '.', -37}, { 'S', ',', -37},
{ 'T', ';', -37}, { 'T', '.', -125}, { 'T', 'o', -55}, { 'T', '-', -100},
{ 'T', 'e', -55}, { 'T', ',', -125}, { 'T', ':', -37}, { 'T', 'a', -55},
{ 'T', 'O', 10}, { 'T', 'A', -18}, { 'U', '.', -100}, { 'U', ',', -100},
{ 'U', 'A', -30}, { 'V', 'u', -75}, { 'V', ';', -75}, { 'V', '.', -125},
{ 'V', 'o', -75}, { 'V', 'i', -18}, { 'V', '-', -100}, { 'V', 'e', -75},
{ 'V', ',', -125}, { 'V', ':', -75}, { 'V', 'a', -85}, { 'V', 'O', -18},
{ 'V', 'A', -74}, { 'W', 'y', -55}, { 'W', 'u', -55}, { 'W', ';', -100},
{ 'W', '.', -125}, { 'W', 'o', -60}, { 'W', 'i', -18}, { 'W', '-', -100},
{ 'W', 'e', -60}, { 'W', ',', -125}, { 'W', ':', -100}, { 'W', 'a', -75},
{ 'W', 'A', -50}, { 'Y', 'u', -91}, { 'Y', ';', -75}, { 'Y', '.', -100},
{ 'Y', 'o', -100}, { 'Y', 'i', -18}, { 'Y', '-', -125}, { 'Y', 'e', -100},
{ 'Y', ',', -100}, { 'Y', ':', -75}, { 'Y', 'a', -100}, { 'Y', 'O', -18},
{ 'Y', 'A', -75}, { 'a', 'y', -10}, { 'a', 'w', -10}, { 'a', 'v', -10},
{ 'b', '.', -18}, { 'b', ',', -18}, { 'c', '.', -18}, { 'c', 'l', -7},
{ 'c', 'k', -7}, { 'c', 'h', -7}, { 'c', ',', -18}, { ':', ' ', -37},
{ ',', ' ', -37}, { ',', '\'', -37}, { ',', 131, -37}, { 'e', '.', -18},
{ 'e', ',', -18}, { 'f', '\'', 100}, { 'f', 131, 100}, { 'f', '.', -37},
{ 'f', ',', -37}, { 'g', '.', -25}, { 'g', ',', -25}, { 'o', '.', -18},
{ 'o', ',', -18}, { 'p', '.', -18}, { 'p', ',', -18}, { '.', ' ', -37},
{ '.', '\'', -37}, { '.', 131, -37}, { 130, 'A', -74}, { 131, ' ', -37},
{ '`', '`', -25}, { '`', 'A', -74}, { '\'', 's', -25}, { '\'', '\'', -25},
{ '\'', 'd', -37}, { 'r', '.', -100}, { 'r', '-', -37}, { 'r', ',', -100},
{ 's', '.', -25}, { 's', ',', -25}, { ';', ' ', -37}, { ' ', '`', -37},
{ ' ', 130, -37}, { ' ', 'Y', -37}, { ' ', 'W', -37}, { ' ', 'V', -37},
{ ' ', 'T', -37}, { ' ', 'A', -37}, { 'v', '.', -125}, { 'v', ',', -125},
{ 'w', '.', -125}, { 'w', ',', -125}, { 'w', 'a', -18}, { 'y', '.', -125},
{ 'y', ',', -125}, {0, 0, 0}
};
int bkd_kern[][3] = {
{ 'A', 'y', -1}, { 'A', 'w', -9}, { 'A', 'v', -8}, { 'A', 'Y', -52},
{ 'A', 'W', -20}, { 'A', 'V', -68}, { 'A', 'T', -40}, { 'F', '.', -132},
{ 'F', ',', -130}, { 'F', 'A', -59}, { 'L', 'y', 19}, { 'L', 'Y', -35},
{ 'L', 'W', -41}, { 'L', 'V', -50}, { 'L', 'T', -4}, { 'P', '.', -128},
{ 'P', ',', -129}, { 'P', 'A', -46}, { 'R', 'y', -8}, { 'R', 'Y', -20},
{ 'R', 'W', -24}, { 'R', 'V', -29}, { 'R', 'T', -4}, { 'T', ';', 5},
{ 'T', 's', -10}, { 'T', 'r', 27}, { 'T', '.', -122}, { 'T', 'o', -28},
{ 'T', 'i', 27}, { 'T', '-', -10}, { 'T', 'e', -29}, { 'T', ',', -122},
{ 'T', ':', 7}, { 'T', 'c', -29}, { 'T', 'a', -24}, { 'T', 'A', -42},
{ 'V', 'y', 12}, { 'V', 'u', -11}, { 'V', ';', -38}, { 'V', 'r', -15},
{ 'V', '.', -105}, { 'V', 'o', -79}, { 'V', 'i', 15}, { 'V', '-', -10},
{ 'V', 'e', -80}, { 'V', ',', -103}, { 'V', ':', -37}, { 'V', 'a', -74},
{ 'V', 'A', -88}, { 'W', 'y', 12}, { 'W', 'u', -11}, { 'W', ';', -38},
{ 'W', 'r', -15}, { 'W', '.', -105}, { 'W', 'o', -78}, { 'W', 'i', 15},
{ 'W', '-', -10}, { 'W', 'e', -79}, { 'W', ',', -103}, { 'W', ':', -37},
{ 'W', 'a', -73}, { 'W', 'A', -60}, { 'Y', 'v', 24}, { 'Y', 'u', -13},
{ 'Y', ';', -34}, { 'Y', 'q', -66}, { 'Y', '.', -105}, { 'Y', 'p', -23},
{ 'Y', 'o', -66}, { 'Y', 'i', 2}, { 'Y', '-', -10}, { 'Y', 'e', -67},
{ 'Y', ',', -103}, { 'Y', ':', -32}, { 'Y', 'a', -60}, { 'Y', 'A', -56},
{ 'f', 'f', 21}, { 'r', 'q', -9}, { 'r', '.', -102}, { 'r', 'o', -9},
{ 'r', 'n', 20}, { 'r', 'm', 20}, { 'r', '-', -10}, { 'r', 'h', -23},
{ 'r', 'g', -9}, { 'r', 'f', 20}, { 'r', 'e', -10}, { 'r', 'd', -10},
{ 'r', ',', -101}, { 'r', 'c', -9}, {0, 0, 0}
};
int bkdi_kern[][3] = {
{ 'A', 'y', 20}, { 'A', 'w', 20}, { 'A', 'v', 20}, { 'A', 'Y', -25},
{ 'A', 'W', -35}, { 'A', 'V', -40}, { 'A', 'T', -17}, { 'F', '.', -105},
{ 'F', ',', -98}, { 'F', 'A', -35}, { 'L', 'y', 62}, { 'L', 'Y', -5},
{ 'L', 'W', -15}, { 'L', 'V', -19}, { 'L', 'T', -26}, { 'P', '.', -105},
{ 'P', ',', -98}, { 'P', 'A', -31}, { 'R', 'y', 27}, { 'R', 'Y', 4},
{ 'R', 'W', -4}, { 'R', 'V', -8}, { 'R', 'T', -3}, { 'T', 'y', 56},
{ 'T', 'w', 69}, { 'T', 'u', 42}, { 'T', ';', 31}, { 'T', 's', -1},
{ 'T', 'r', 41}, { 'T', '.', -107}, { 'T', 'o', -5}, { 'T', 'i', 42},
{ 'T', '-', -20}, { 'T', 'e', -10}, { 'T', ',', -100}, { 'T', ':', 26},
{ 'T', 'c', -8}, { 'T', 'a', -8}, { 'T', 'A', -42}, { 'V', 'y', 17},
{ 'V', 'u', -1}, { 'V', ';', -22}, { 'V', 'r', 2}, { 'V', '.', -115},
{ 'V', 'o', -50}, { 'V', 'i', 32}, { 'V', '-', -20}, { 'V', 'e', -50},
{ 'V', ',', -137}, { 'V', ':', -28}, { 'V', 'a', -50}, { 'V', 'A', -50},
{ 'W', 'y', -51}, { 'W', 'u', -69}, { 'W', ';', -81}, { 'W', 'r', -66},
{ 'W', '.', -183}, { 'W', 'o', -100}, { 'W', 'i', -36}, { 'W', '-', -22},
{ 'W', 'e', -100}, { 'W', ',', -201}, { 'W', ':', -86}, { 'W', 'a', -100},
{ 'W', 'A', -77}, { 'Y', 'v', 26}, { 'Y', 'u', -1}, { 'Y', ';', -4},
{ 'Y', 'q', -43}, { 'Y', '.', -113}, { 'Y', 'o', -41}, { 'Y', 'i', 20},
{ 'Y', '-', -20}, { 'Y', 'e', -46}, { 'Y', ',', -106}, { 'Y', ':', -9},
{ 'Y', 'a', -45}, { 'Y', 'A', -30}, { 'f', 'f', 10}, { 'r', 'q', -3},
{ 'r', '.', -120}, { 'r', 'o', -1}, { 'r', 'n', 39}, { 'r', 'm', 39},
{ 'r', '-', -20}, { 'r', 'h', -35}, { 'r', 'g', -23}, { 'r', 'f', 42},
{ 'r', 'e', -6}, { 'r', 'd', -3}, { 'r', ',', -113}, { 'r', 'c', -5},{0, 0, 0}
};
int bkl_kern[][3] = {
{ 'A', 'y', 32}, { 'A', 'w', 4}, { 'A', 'v', 7}, { 'A', 'Y', -35},
{ 'A', 'W', -40}, { 'A', 'V', -56}, { 'A', 'T', 1}, { 'F', '.', -46},
{ 'F', ',', -41}, { 'F', 'A', -21}, { 'L', 'y', 79}, { 'L', 'Y', 13},
{ 'L', 'W', 1}, { 'L', 'V', -4}, { 'L', 'T', 28}, { 'P', '.', -60},
{ 'P', ',', -55}, { 'P', 'A', -8}, { 'R', 'y', 59}, { 'R', 'Y', 26},
{ 'R', 'W', 13}, { 'R', 'V', 8}, { 'R', 'T', 71}, { 'T', 's', 16},
{ 'T', 'r', 38}, { 'T', '.', -33}, { 'T', 'o', 15}, { 'T', 'i', 42},
{ 'T', '-', 90}, { 'T', 'e', 13}, { 'T', ',', -28}, { 'T', 'c', 14},
{ 'T', 'a', 17}, { 'T', 'A', 1}, { 'V', 'y', 15}, { 'V', 'u', -38},
{ 'V', 'r', -41}, { 'V', '.', -40}, { 'V', 'o', -71}, { 'V', 'i', -20},
{ 'V', '-', 11}, { 'V', 'e', -72}, { 'V', ',', -34}, { 'V', 'a', -69},
{ 'V', 'A', -66}, { 'W', 'y', 15}, { 'W', 'u', -38}, { 'W', 'r', -41},
{ 'W', '.', -40}, { 'W', 'o', -68}, { 'W', 'i', -20}, { 'W', '-', 11},
{ 'W', 'e', -69}, { 'W', ',', -34}, { 'W', 'a', -66}, { 'W', 'A', -64},
{ 'Y', 'v', 15}, { 'Y', 'u', -38}, { 'Y', 'q', -55}, { 'Y', '.', -40},
{ 'Y', 'p', -31}, { 'Y', 'o', -57}, { 'Y', 'i', -37}, { 'Y', '-', 11},
{ 'Y', 'e', -58}, { 'Y', ',', -34}, { 'Y', 'a', -54}, { 'Y', 'A', -53},
{ 'f', 'f', 29}, { 'r', 'q', 9}, { 'r', '.', -64}, { 'r', 'o', 8},
{ 'r', 'n', 31}, { 'r', 'm', 31}, { 'r', '-', 70}, { 'r', 'h', -21},
{ 'r', 'g', -4}, { 'r', 'f', 33}, { 'r', 'e', 7}, { 'r', 'd', 7},
{ 'r', ',', -58}, { 'r', 'c', 7}, {0, 0, 0}
};
int bkli_kern[][3] = {
{ 'A', 'Y', -62}, { 'A', 'W', -73}, { 'A', 'V', -78}, { 'A', 'T', -5},
{ 'F', '.', -97}, { 'F', ',', -98}, { 'F', 'A', -16}, { 'L', 'y', 20},
{ 'L', 'Y', 7}, { 'L', 'W', 9}, { 'L', 'V', 4}, { 'P', '.', -105},
{ 'P', ',', -106}, { 'P', 'A', -30}, { 'R', 'Y', 11}, { 'R', 'W', 2},
{ 'R', 'V', 2}, { 'R', 'T', 65}, { 'T', ';', 48}, { 'T', 's', -7},
{ 'T', 'r', 67}, { 'T', '.', -78}, { 'T', 'o', 14}, { 'T', 'i', 71},
{ 'T', '-', 20}, { 'T', 'e', 10}, { 'T', ',', -79}, { 'T', ':', 48},
{ 'T', 'c', 16}, { 'T', 'a', 9}, { 'T', 'A', -14}, { 'V', 'y', -14},
{ 'V', 'u', -10}, { 'V', ';', -44}, { 'V', 'r', -20}, { 'V', '.', -100},
{ 'V', 'o', -70}, { 'V', 'i', 3}, { 'V', '-', 20}, { 'V', 'e', -70},
{ 'V', ',', -109}, { 'V', ':', -35}, { 'V', 'a', -70}, { 'V', 'A', -70},
{ 'W', 'y', -14}, { 'W', 'u', -20}, { 'W', ';', -42}, { 'W', 'r', -30},
{ 'W', '.', -100}, { 'W', 'o', -60}, { 'W', 'i', 3}, { 'W', '-', 20},
{ 'W', 'e', -60}, { 'W', ',', -109}, { 'W', ':', -35}, { 'W', 'a', -60},
{ 'W', 'A', -60}, { 'Y', 'v', -19}, { 'Y', 'u', -31}, { 'Y', ';', -40},
{ 'Y', 'q', -72}, { 'Y', '.', -100}, { 'Y', 'p', -37}, { 'Y', 'o', -75},
{ 'Y', 'i', -11}, { 'Y', '-', 20}, { 'Y', 'e', -78}, { 'Y', ',', -109},
{ 'Y', ':', -35}, { 'Y', 'a', -79}, { 'Y', 'A', -82}, { 'f', 'f', -19},
{ 'r', 'q', -14}, { 'r', '.', -134}, { 'r', 'o', -10}, { 'r', 'n', 38},
{ 'r', 'm', 37}, { 'r', '-', 20}, { 'r', 'h', -20}, { 'r', 'g', -3},
{ 'r', 'f', -9}, { 'r', 'e', -15}, { 'r', 'd', -9}, { 'r', ',', -143},
{ 'r', 'c', -8}, {0, 0, 0}
};
/*
agd.afm:FontName AvantGarde-Demi
agdo.afm:FontName AvantGarde-DemiOblique
agw.afm:FontName AvantGarde-Book
agwo.afm:FontName AvantGarde-BookOblique
*/
int agd_kern[][3] = {
{ 'A', 'y', -50}, { 'A', 'w', -65}, { 'A', 'v', -70}, { 'A', 'u', -20},
{ 'A', '\'', -90}, { 'A', 'Y', -80}, { 'A', 'W', -60}, { 'A', 'V', -102},
{ 'A', 'U', -40}, { 'A', 'T', -25}, { 'A', 'Q', -50}, { 'A', 'O', -50},
{ 'A', 'G', -40}, { 'A', 'C', -40}, { 'B', 'A', -10}, { 'C', 'A', -40},
{ 'D', '.', -20}, { 'D', ',', -20}, { 'D', 'Y', -45}, { 'D', 'W', -25},
{ 'D', 'V', -50}, { 'D', 'A', -50}, { 'F', '.', -129}, { 'F', 'e', -20},
{ 'F', ',', -162}, { 'F', 'a', -20}, { 'F', 'A', -75}, { 'G', '.', -20},
{ 'G', ',', -20}, { 'G', 'Y', -15}, { 'J', '.', -15}, { 'J', 'a', -20},
{ 'J', 'A', -30}, { 'K', 'y', -20}, { 'K', 'u', -15}, { 'K', 'o', -45},
{ 'K', 'e', -40}, { 'K', 'O', -30}, { 'L', 'y', -23}, { 'L', '\'', -30},
{ 'L', 131, -30}, { 'L', 'Y', -80}, { 'L', 'W', -55}, { 'L', 'V', -85},
{ 'L', 'T', -46}, { 'O', '.', -30}, { 'O', ',', -30}, { 'O', 'Y', -30},
{ 'O', 'X', -30}, { 'O', 'W', -20}, { 'O', 'V', -45}, { 'O', 'T', -15},
{ 'O', 'A', -60}, { 'P', '.', -200}, { 'P', 'o', -20}, { 'P', 'e', -20},
{ 'P', ',', -220}, { 'P', 'a', -20}, { 'P', 'A', -100}, { 'Q', ',', 20},
{ 'R', 'W', 25}, { 'R', 'V', -10}, { 'R', 'U', 25}, { 'R', 'T', 40},
{ 'R', 'O', 25}, { 'S', ',', 20}, { 'T', 'y', -10}, { 'T', 'w', -55},
{ 'T', 'u', -46}, { 'T', ';', -29}, { 'T', 'r', -30}, { 'T', '.', -91},
{ 'T', 'o', -49}, { 'T', '-', -75}, { 'T', 'e', -49}, { 'T', ',', -82},
{ 'T', ':', -15}, { 'T', 'a', -70}, { 'T', 'O', -15}, { 'T', 'A', -25},
{ 'U', '.', -20}, { 'U', ',', -20}, { 'U', 'A', -40}, { 'V', 'u', -55},
{ 'V', ';', -33}, { 'V', '.', -145}, { 'V', 'o', -101}, { 'V', 'i', -15},
{ 'V', '-', -75}, { 'V', 'e', -101}, { 'V', ',', -145}, { 'V', ':', -18},
{ 'V', 'a', -95}, { 'V', 'O', -45}, { 'V', 'G', -20}, { 'V', 'A', -102},
{ 'W', 'y', -15}, { 'W', 'u', -30}, { 'W', ';', -33}, { 'W', '.', -106},
{ 'W', 'o', -46}, { 'W', 'i', -10}, { 'W', '-', -35}, { 'W', 'e', -47},
{ 'W', ',', -106}, { 'W', ':', -15}, { 'W', 'a', -50}, { 'W', 'O', -20},
{ 'W', 'A', -58}, { 'Y', 'u', -52}, { 'Y', ';', -23}, { 'Y', '.', -145},
{ 'Y', 'o', -89}, { 'Y', '-', -100}, { 'Y', 'e', -89}, { 'Y', ',', -145},
{ 'Y', ':', -10}, { 'Y', 'a', -93}, { 'Y', 'O', -30}, { 'Y', 'A', -80},
{ 'a', 't', 5}, { 'a', 'p', 20}, { 'a', 'b', 5}, { 'b', 'y', -20},
{ 'b', 'v', -20}, { 'c', 'y', -20}, { 'c', 'l', -15}, { 'c', 'k', -15},
{ ',', ' ', -50}, { ',', '\'', -70}, { ',', 131, -70}, { 'e', 'y', -20},
{ 'e', 'x', -20}, { 'e', 'w', -20}, { 'e', 'v', -20}, { 'f', '.', -40},
{ 'f', 'o', -20}, { 'f', 'l', -15}, { 'f', 'i', -15}, { 'f', 'f', -20},
{ 'f', 143, -15}, { 'f', ',', -40}, { 'f', 'a', -15}, { 'g', 'i', 25},
{ 'g', 'a', 15}, { 'h', 'y', -30}, { 'k', 'y', -5}, { 'k', 'o', -30},
{ 'k', 'e', -40}, { 'm', 'y', -20}, { 'm', 'u', -20}, { 'n', 'y', -15},
{ 'n', 'v', -30}, { 'o', 'y', -20}, { 'o', 'x', -30}, { 'o', 'w', -20},
{ 'o', 'v', -30}, { 'p', 'y', -20}, { '.', ' ', -50}, { '.', '\'', -70},
{ '.', 131, -70}, { 130, 'A', -50}, { 131, ' ', -50}, { '`', '`', -80},
{ '`', 'A', -50}, { '\'', 'v', -10}, { '\'', 't', 10}, { '\'', ' ', -50},
{ '\'', 's', -15}, { '\'', 'r', -20}, { '\'', '\'', -80}, { '\'', 'd', -50},
{ 'r', 'y', 40}, { 'r', 'v', 40}, { 'r', 'u', 20}, { 'r', 't', 20},
{ 'r', 's', 20}, { 'r', 'q', -8}, { 'r', '.', -73}, { 'r', 'p', 20},
{ 'r', 'o', -15}, { 'r', 'n', 21}, { 'r', 'm', 15}, { 'r', 'l', 20},
{ 'r', 'k', 5}, { 'r', 'i', 20}, { 'r', '-', -60}, { 'r', 'g', 1},
{ 'r', 'e', -4}, { 'r', 'd', -6}, { 'r', ',', -75}, { 'r', 'c', -7},
{ 's', '.', 20}, { 's', ',', 20}, { ' ', '`', -50}, { ' ', 130, -50},
{ ' ', 'Y', -60}, { ' ', 'W', -25}, { ' ', 'V', -80}, { ' ', 'T', -25},
{ ' ', 'A', -20}, { 'v', '.', -90}, { 'v', 'o', -20}, { 'v', 'e', -20},
{ 'v', ',', -90}, { 'v', 'a', -30}, { 'w', '.', -90}, { 'w', 'o', -30},
{ 'w', 'e', -20}, { 'w', ',', -90}, { 'w', 'a', -30}, { 'x', 'e', -20},
{ 'y', '.', -100}, { 'y', 'o', -30}, { 'y', 'e', -20}, { 'y', ',', -100},
{ 'y', 'c', -35}, { 'y', 'a', -30}, {0, 0, 0}
};
int agdo_kern[][3] = {
{ 'A', 'y', -50}, { 'A', 'w', -65}, { 'A', 'v', -70}, { 'A', 'u', -20},
{ 'A', '\'', -90}, { 'A', 'Y', -80}, { 'A', 'W', -60}, { 'A', 'V', -102},
{ 'A', 'U', -40}, { 'A', 'T', -25}, { 'A', 'Q', -50}, { 'A', 'O', -50},
{ 'A', 'G', -40}, { 'A', 'C', -40}, { 'B', 'A', -10}, { 'C', 'A', -40},
{ 'D', '.', -20}, { 'D', ',', -20}, { 'D', 'Y', -45}, { 'D', 'W', -25},
{ 'D', 'V', -50}, { 'D', 'A', -50}, { 'F', '.', -129}, { 'F', 'e', -20},
{ 'F', ',', -162}, { 'F', 'a', -20}, { 'F', 'A', -75}, { 'G', '.', -20},
{ 'G', ',', -20}, { 'G', 'Y', -15}, { 'J', '.', -15}, { 'J', 'a', -20},
{ 'J', 'A', -30}, { 'K', 'y', -20}, { 'K', 'u', -15}, { 'K', 'o', -45},
{ 'K', 'e', -40}, { 'K', 'O', -30}, { 'L', 'y', -23}, { 'L', '\'', -30},
{ 'L', 131, -30}, { 'L', 'Y', -80}, { 'L', 'W', -55}, { 'L', 'V', -85},
{ 'L', 'T', -46}, { 'O', '.', -30}, { 'O', ',', -30}, { 'O', 'Y', -30},
{ 'O', 'X', -30}, { 'O', 'W', -20}, { 'O', 'V', -45}, { 'O', 'T', -15},
{ 'O', 'A', -60}, { 'P', '.', -200}, { 'P', 'o', -20}, { 'P', 'e', -20},
{ 'P', ',', -220}, { 'P', 'a', -20}, { 'P', 'A', -100}, { 'Q', ',', 20},
{ 'R', 'W', 25}, { 'R', 'V', -10}, { 'R', 'U', 25}, { 'R', 'T', 40},
{ 'R', 'O', 25}, { 'S', ',', 20}, { 'T', 'y', -10}, { 'T', 'w', -55},
{ 'T', 'u', -46}, { 'T', ';', -29}, { 'T', 'r', -30}, { 'T', '.', -91},
{ 'T', 'o', -49}, { 'T', '-', -75}, { 'T', 'e', -49}, { 'T', ',', -82},
{ 'T', ':', -15}, { 'T', 'a', -70}, { 'T', 'O', -15}, { 'T', 'A', -25},
{ 'U', '.', -20}, { 'U', ',', -20}, { 'U', 'A', -40}, { 'V', 'u', -55},
{ 'V', ';', -33}, { 'V', '.', -145}, { 'V', 'o', -101}, { 'V', 'i', -15},
{ 'V', '-', -75}, { 'V', 'e', -101}, { 'V', ',', -145}, { 'V', ':', -18},
{ 'V', 'a', -95}, { 'V', 'O', -45}, { 'V', 'G', -20}, { 'V', 'A', -102},
{ 'W', 'y', -15}, { 'W', 'u', -30}, { 'W', ';', -33}, { 'W', '.', -106},
{ 'W', 'o', -46}, { 'W', 'i', -10}, { 'W', '-', -35}, { 'W', 'e', -47},
{ 'W', ',', -106}, { 'W', ':', -15}, { 'W', 'a', -50}, { 'W', 'O', -20},
{ 'W', 'A', -58}, { 'Y', 'u', -52}, { 'Y', ';', -23}, { 'Y', '.', -145},
{ 'Y', 'o', -89}, { 'Y', '-', -100}, { 'Y', 'e', -89}, { 'Y', ',', -145},
{ 'Y', ':', -10}, { 'Y', 'a', -93}, { 'Y', 'O', -30}, { 'Y', 'A', -80},
{ 'a', 't', 5}, { 'a', 'p', 20}, { 'a', 'b', 5}, { 'b', 'y', -20},
{ 'b', 'v', -20}, { 'c', 'y', -20}, { 'c', 'l', -15}, { 'c', 'k', -15},
{ ',', ' ', -50}, { ',', '\'', -70}, { ',', 131, -70}, { 'e', 'y', -20},
{ 'e', 'x', -20}, { 'e', 'w', -20}, { 'e', 'v', -20}, { 'f', '.', -40},
{ 'f', 'o', -20}, { 'f', 'l', -15}, { 'f', 'i', -15}, { 'f', 'f', -20},
{ 'f', 143, -15}, { 'f', ',', -40}, { 'f', 'a', -15}, { 'g', 'i', 25},
{ 'g', 'a', 15}, { 'h', 'y', -30}, { 'k', 'y', -5}, { 'k', 'o', -30},
{ 'k', 'e', -40}, { 'm', 'y', -20}, { 'm', 'u', -20}, { 'n', 'y', -15},
{ 'n', 'v', -30}, { 'o', 'y', -20}, { 'o', 'x', -30}, { 'o', 'w', -20},
{ 'o', 'v', -30}, { 'p', 'y', -20}, { '.', ' ', -50}, { '.', '\'', -70},
{ '.', 131, -70}, { 130, 'A', -50}, { 131, ' ', -50}, { '`', '`', -80},
{ '`', 'A', -50}, { '\'', 'v', -10}, { '\'', 't', 10}, { '\'', ' ', -50},
{ '\'', 's', -15}, { '\'', 'r', -20}, { '\'', '\'', -80}, { '\'', 'd', -50},
{ 'r', 'y', 40}, { 'r', 'v', 40}, { 'r', 'u', 20}, { 'r', 't', 20},
{ 'r', 's', 20}, { 'r', 'q', -8}, { 'r', '.', -73}, { 'r', 'p', 20},
{ 'r', 'o', -15}, { 'r', 'n', 21}, { 'r', 'm', 15}, { 'r', 'l', 20},
{ 'r', 'k', 5}, { 'r', 'i', 20}, { 'r', '-', -60}, { 'r', 'g', 1},
{ 'r', 'e', -4}, { 'r', 'd', -6}, { 'r', ',', -75}, { 'r', 'c', -7},
{ 's', '.', 20}, { 's', ',', 20}, { ' ', '`', -50}, { ' ', 130, -50},
{ ' ', 'Y', -60}, { ' ', 'W', -25}, { ' ', 'V', -80}, { ' ', 'T', -25},
{ ' ', 'A', -20}, { 'v', '.', -90}, { 'v', 'o', -20}, { 'v', 'e', -20},
{ 'v', ',', -90}, { 'v', 'a', -30}, { 'w', '.', -90}, { 'w', 'o', -30},
{ 'w', 'e', -20}, { 'w', ',', -90}, { 'w', 'a', -30}, { 'x', 'e', -20},
{ 'y', '.', -100}, { 'y', 'o', -30}, { 'y', 'e', -20}, { 'y', ',', -100},
{ 'y', 'c', -35}, { 'y', 'a', -30}, {0, 0, 0}
};
int agw_kern[][3] = {
{ 'A', 'y', -62}, { 'A', 'w', -65}, { 'A', 'v', -70}, { 'A', 'u', -20},
{ 'A', '\'', -100}, { 'A', 131, -100}, { 'A', 'Y', -92}, { 'A', 'W', -60},
{ 'A', 'V', -102}, { 'A', 'U', -40}, { 'A', 'T', -45}, { 'A', 'Q', -40},
{ 'A', 'O', -50}, { 'A', 'G', -40}, { 'A', 'C', -40}, { 'B', 'A', -10},
{ 'C', 'A', -40}, { 'D', '.', -20}, { 'D', ',', -20}, { 'D', 'Y', -30},
{ 'D', 'W', -10}, { 'D', 'V', -50}, { 'D', 'A', -50}, { 'F', '.', -160},
{ 'F', 'e', -20}, { 'F', ',', -180}, { 'F', 'a', -20}, { 'F', 'A', -75},
{ 'G', '.', -20}, { 'G', ',', -20}, { 'G', 'Y', -20}, { 'J', '.', -15},
{ 'J', 'a', -20}, { 'J', 'A', -30}, { 'K', 'o', -15}, { 'K', 'e', -20},
{ 'K', 'O', -20}, { 'L', 'y', -23}, { 'L', '\'', -130}, { 'L', 131, -130},
{ 'L', 'Y', -91}, { 'L', 'W', -67}, { 'L', 'V', -113}, { 'L', 'T', -46},
{ 'O', '.', -30}, { 'O', ',', -30}, { 'O', 'Y', -30}, { 'O', 'X', -30},
{ 'O', 'W', -20}, { 'O', 'V', -60}, { 'O', 'T', -30}, { 'O', 'A', -60},
{ 'P', '.', -300}, { 'P', 'o', -60}, { 'P', 'e', -20}, { 'P', ',', -280},
{ 'P', 'a', -20}, { 'P', 'A', -114}, { 'Q', ',', 20}, { 'R', 'Y', -10},
{ 'R', 'W', 10}, { 'R', 'V', -10}, { 'R', 'T', 6}, { 'S', ',', 20},
{ 'T', 'y', -50}, { 'T', 'w', -55}, { 'T', 'u', -46}, { 'T', ';', -29},
{ 'T', 'r', -30}, { 'T', '.', -91}, { 'T', 'o', -70}, { 'T', 'i', 10},
{ 'T', '-', -75}, { 'T', 'e', -49}, { 'T', ',', -82}, { 'T', ':', -15},
{ 'T', 'a', -90}, { 'T', 'O', -30}, { 'T', 'A', -45}, { 'U', '.', -20},
{ 'U', ',', -20}, { 'U', 'A', -40}, { 'V', 'u', -40}, { 'V', ';', -33},
{ 'V', '.', -165}, { 'V', 'o', -101}, { 'V', 'i', -5}, { 'V', '-', -75},
{ 'V', 'e', -101}, { 'V', ',', -145}, { 'V', ':', -18}, { 'V', 'a', -104},
{ 'V', 'O', -60}, { 'V', 'G', -20}, { 'V', 'A', -102}, { 'W', 'y', -2},
{ 'W', 'u', -30}, { 'W', ';', -33}, { 'W', '.', -106}, { 'W', 'o', -46},
{ 'W', 'i', 6}, { 'W', '-', -35}, { 'W', 'e', -47}, { 'W', ',', -106},
{ 'W', ':', -15}, { 'W', 'a', -50}, { 'W', 'O', -20}, { 'W', 'A', -58},
{ 'Y', 'u', -52}, { 'Y', ';', -23}, { 'Y', '.', -175}, { 'Y', 'o', -89},
{ 'Y', '-', -85}, { 'Y', 'e', -89}, { 'Y', ',', -145}, { 'Y', ':', -10},
{ 'Y', 'a', -93}, { 'Y', 'O', -30}, { 'Y', 'A', -92}, { 'a', 'p', 20},
{ 'a', 'b', 20}, { 'b', 'y', -20}, { 'b', 'v', -20}, { 'c', 'y', -20},
{ 'c', 'k', -15}, { ',', ' ', -110}, { ',', '\'', -120}, { ',', 131, -120},
{ 'e', 'y', -20}, { 'e', 'w', -20}, { 'e', 'v', -20}, { 'f', '.', -50},
{ 'f', 'o', -40}, { 'f', 'l', -30}, { 'f', 'i', -34}, { 'f', 'f', -60},
{ 'f', 'e', -20}, { 'f', 143, -34}, { 'f', ',', -50}, { 'f', 'a', -40},
{ 'g', 'a', -15}, { 'h', 'y', -30}, { 'k', 'y', -5}, { 'k', 'e', -15},
{ 'm', 'y', -20}, { 'm', 'u', -20}, { 'm', 'a', -20}, { 'n', 'y', -15},
{ 'n', 'v', -20}, { 'o', 'y', -20}, { 'o', 'x', -15}, { 'o', 'w', -20},
{ 'o', 'v', -30}, { 'p', 'y', -20}, { '.', ' ', -110}, { '.', '\'', -120},
{ '.', 131, -120}, { 130, '`', -35}, { 130, 'A', -100}, { 131, ' ', -110},
{ '`', '`', -203}, { '`', 'A', -100}, { '\'', 'v', -30}, { '\'', 't', 10},
{ '\'', ' ', -110}, { '\'', 's', -15}, { '\'', 'r', -20}, { '\'', '\'', -203},
{ '\'', 131, -35}, { '\'', 'd', -110}, { 'r', 'y', 40}, { 'r', 'v', 40},
{ 'r', 'u', 20}, { 'r', 't', 20}, { 'r', 's', 20}, { 'r', 'q', -8},
{ 'r', '.', -73}, { 'r', 'p', 20}, { 'r', 'o', -20}, { 'r', 'n', 21},
{ 'r', 'm', 28}, { 'r', 'l', 20}, { 'r', 'k', 20}, { 'r', 'i', 20},
{ 'r', '-', -60}, { 'r', 'g', -15}, { 'r', 'e', -4}, { 'r', 'd', -6},
{ 'r', ',', -75}, { 'r', 'c', -20}, { 'r', 'a', -20}, { 's', '.', 20},
{ 's', ',', 20}, { ' ', '`', -110}, { ' ', 130, -110}, { ' ', 'Y', -60},
{ ' ', 'W', -25}, { ' ', 'V', -50}, { ' ', 'T', -25}, { ' ', 'A', -20},
{ 'v', '.', -130}, { 'v', 'o', -30}, { 'v', 'e', -20}, { 'v', ',', -100},
{ 'v', 'a', -30}, { 'w', '.', -100}, { 'w', 'o', -30}, { 'w', 'h', 15},
{ 'w', 'e', -20}, { 'w', ',', -90}, { 'w', 'a', -30}, { 'y', '.', -125},
{ 'y', 'o', -30}, { 'y', 'e', -20}, { 'y', ',', -110}, { 'y', 'a', -30},{0, 0, 0}
};
int agwo_kern[][3] = {
{ 'A', 'y', -62}, { 'A', 'w', -65}, { 'A', 'v', -70}, { 'A', 'u', -20},
{ 'A', '\'', -100}, { 'A', 131, -100}, { 'A', 'Y', -92}, { 'A', 'W', -60},
{ 'A', 'V', -102}, { 'A', 'U', -40}, { 'A', 'T', -45}, { 'A', 'Q', -40},
{ 'A', 'O', -50}, { 'A', 'G', -40}, { 'A', 'C', -40}, { 'B', 'A', -10},
{ 'C', 'A', -40}, { 'D', '.', -20}, { 'D', ',', -20}, { 'D', 'Y', -30},
{ 'D', 'W', -10}, { 'D', 'V', -50}, { 'D', 'A', -50}, { 'F', '.', -160},
{ 'F', 'e', -20}, { 'F', ',', -180}, { 'F', 'a', -20}, { 'F', 'A', -75},
{ 'G', '.', -20}, { 'G', ',', -20}, { 'G', 'Y', -20}, { 'J', '.', -15},
{ 'J', 'a', -20}, { 'J', 'A', -30}, { 'K', 'o', -15}, { 'K', 'e', -20},
{ 'K', 'O', -20}, { 'L', 'y', -23}, { 'L', '\'', -130}, { 'L', 131, -130},
{ 'L', 'Y', -91}, { 'L', 'W', -67}, { 'L', 'V', -113}, { 'L', 'T', -46},
{ 'O', '.', -30}, { 'O', ',', -30}, { 'O', 'Y', -30}, { 'O', 'X', -30},
{ 'O', 'W', -20}, { 'O', 'V', -60}, { 'O', 'T', -30}, { 'O', 'A', -60},
{ 'P', '.', -300}, { 'P', 'o', -60}, { 'P', 'e', -20}, { 'P', ',', -280},
{ 'P', 'a', -20}, { 'P', 'A', -114}, { 'Q', ',', 20}, { 'R', 'Y', -10},
{ 'R', 'W', 10}, { 'R', 'V', -10}, { 'R', 'T', 6}, { 'S', ',', 20},
{ 'T', 'y', -50}, { 'T', 'w', -55}, { 'T', 'u', -46}, { 'T', ';', -29},
{ 'T', 'r', -30}, { 'T', '.', -91}, { 'T', 'o', -70}, { 'T', 'i', 10},
{ 'T', '-', -75}, { 'T', 'e', -49}, { 'T', ',', -82}, { 'T', ':', -15},
{ 'T', 'a', -90}, { 'T', 'O', -30}, { 'T', 'A', -45}, { 'U', '.', -20},
{ 'U', ',', -20}, { 'U', 'A', -40}, { 'V', 'u', -40}, { 'V', ';', -33},
{ 'V', '.', -165}, { 'V', 'o', -101}, { 'V', 'i', -5}, { 'V', '-', -75},
{ 'V', 'e', -101}, { 'V', ',', -145}, { 'V', ':', -18}, { 'V', 'a', -104},
{ 'V', 'O', -60}, { 'V', 'G', -20}, { 'V', 'A', -102}, { 'W', 'y', -2},
{ 'W', 'u', -30}, { 'W', ';', -33}, { 'W', '.', -106}, { 'W', 'o', -46},
{ 'W', 'i', 6}, { 'W', '-', -35}, { 'W', 'e', -47}, { 'W', ',', -106},
{ 'W', ':', -15}, { 'W', 'a', -50}, { 'W', 'O', -20}, { 'W', 'A', -58},
{ 'Y', 'u', -52}, { 'Y', ';', -23}, { 'Y', '.', -175}, { 'Y', 'o', -89},
{ 'Y', '-', -85}, { 'Y', 'e', -89}, { 'Y', ',', -145}, { 'Y', ':', -10},
{ 'Y', 'a', -93}, { 'Y', 'O', -30}, { 'Y', 'A', -92}, { 'a', 'p', 20},
{ 'a', 'b', 20}, { 'b', 'y', -20}, { 'b', 'v', -20}, { 'c', 'y', -20},
{ 'c', 'k', -15}, { ',', ' ', -110}, { ',', '\'', -120}, { ',', 131, -120},
{ 'e', 'y', -20}, { 'e', 'w', -20}, { 'e', 'v', -20}, { 'f', '.', -50},
{ 'f', 'o', -40}, { 'f', 'l', -30}, { 'f', 'i', -34}, { 'f', 'f', -60},
{ 'f', 'e', -20}, { 'f', 143, -34}, { 'f', ',', -50}, { 'f', 'a', -40},
{ 'g', 'a', -15}, { 'h', 'y', -30}, { 'k', 'y', -5}, { 'k', 'e', -15},
{ 'm', 'y', -20}, { 'm', 'u', -20}, { 'm', 'a', -20}, { 'n', 'y', -15},
{ 'n', 'v', -20}, { 'o', 'y', -20}, { 'o', 'x', -15}, { 'o', 'w', -20},
{ 'o', 'v', -30}, { 'p', 'y', -20}, { '.', ' ', -110}, { '.', '\'', -120},
{ '.', 131, -120}, { 130, '`', -35}, { 130, 'A', -100}, { 131, ' ', -110},
{ '`', '`', -203}, { '`', 'A', -100}, { '\'', 'v', -30}, { '\'', 't', 10},
{ '\'', ' ', -110}, { '\'', 's', -15}, { '\'', 'r', -20}, { '\'', '\'', -203},
{ '\'', 131, -35}, { '\'', 'd', -110}, { 'r', 'y', 40}, { 'r', 'v', 40},
{ 'r', 'u', 20}, { 'r', 't', 20}, { 'r', 's', 20}, { 'r', 'q', -8},
{ 'r', '.', -73}, { 'r', 'p', 20}, { 'r', 'o', -20}, { 'r', 'n', 21},
{ 'r', 'm', 28}, { 'r', 'l', 20}, { 'r', 'k', 20}, { 'r', 'i', 20},
{ 'r', '-', -60}, { 'r', 'g', -15}, { 'r', 'e', -4}, { 'r', 'd', -6},
{ 'r', ',', -75}, { 'r', 'c', -20}, { 'r', 'a', -20}, { 's', '.', 20},
{ 's', ',', 20}, { ' ', '`', -110}, { ' ', 130, -110}, { ' ', 'Y', -60},
{ ' ', 'W', -25}, { ' ', 'V', -50}, { ' ', 'T', -25}, { ' ', 'A', -20},
{ 'v', '.', -130}, { 'v', 'o', -30}, { 'v', 'e', -20}, { 'v', ',', -100},
{ 'v', 'a', -30}, { 'w', '.', -100}, { 'w', 'o', -30}, { 'w', 'h', 15},
{ 'w', 'e', -20}, { 'w', ',', -90}, { 'w', 'a', -30}, { 'y', '.', -125},
{ 'y', 'o', -30}, { 'y', 'e', -20}, { 'y', ',', -110}, { 'y', 'a', -30},{0, 0, 0}
};
int courier_kern[][3] = { {0, 0, 0} };
int ttype_kern[][3] = { {0, 0, 0} };
int ipa_kern[][3] = {
{ '\\', '\\', -74},
{ '`', '`', -74},
{ 'f', '\\', 63},
{ 'f', '?', 63},
{ 'f', '!', 63},
{ 'f', ')', 63},
{ 'f', ']', 63},
{ 'y', 'o', -24},
{ 'y', 'e', -24},
{ 'y', 'a', -24},
{ 'y', '.', -74},
{ 'y', ',', -74},
{ 'y', '2', -49},
{ 'y', 'L', -49},
{ 'y', 192 /* sca */, -49},
{ 'y', 251 /* turnw */, -49},
{ 'g', 'j', 25},
{ 'k', 'a', -49},
{ 'k', 'e', -24},
{ 'k', 'a', -24},
{ 'k', 'o', -24},
{ 'k', 'c', -24},
{ 'v', 'a', -49},
{ 'v', 'e', -24},
{ 'v', 'a', -24},
{ 'v', 'o', -24},
{ 'v', 'c', -24},
{ 'v', '2', -49},
{ 'v', 'L', -49},
{ 'v', 192 /* sca */, -49},
{ 'v', 251 /* turnw */, -49},
{ 'w', 'e', -24},
{ 'w', 'a', -24},
{ 'w', 'o', -24},
{ 'w', 'c', -24},
{ 'w', '2', -49},
{ 'w', 'L', -49},
{ 'w', 192 /* sca */, -49},
{ 'w', 251 /* turnw */, -49},
{ 'n', 't', -24},
{ 'n', 'u', -24},
{ 'n', 'b', -24},
{ 'n', 'y', -24},
{ 'n', 'v', -24},
{ 'n', 'w', -24},
{ 'c', 'h', -24},
{ 'c', 'k', -24},
{ 'p', 'e', 25},
{ 'p', 'o', 25},
{ 'p', 'x', -24},
{ 'p', 'd', 25},
{ 'p', 'c', 25},
{ 'p', 'q', 25},
{ 'p', 'v', -24},
{ 'p', 'j', 50},
{ 'p', 'y', -24},
{ 'p', 'w', -24},
{ 'a', 'v', -24},
{ 'a', 'j', 50},
{ 'a', 'y', -24},
{ 'a', 'w', -24},
{ 't', 'y', -24},
{ 't', 'w', -24},
{ 'u', 'w', -24},
{ 251 /* turnw */, 'v', -49},
{ 251 /* turnw */, 'w', -49},
{ 251 /* turnw */, 'y', -49},
{ 234 /* htbardotlessj */, 'b', 75},
{ 234 /* htbardotlessj */, 'f', 25},
{ 234 /* htbardotlessj */, 'h', 75},
{ 234 /* htbardotlessj */, 'i', 75},
{ 234 /* htbardotlessj */, 'j', 75},
{ 234 /* htbardotlessj */, 'k', 75},
{ 234 /* htbardotlessj */, 'P', 75},
{ 234 /* htbardotlessj */, 'Q', 75},
{ 234 /* htbardotlessj */, ']', 75},
{ 234 /* htbardotlessj */, ')', 75},
{ 252 /* rtailz */, 'g', 25},
{ 252 /* rtailz */, 'j', 75},
{ 252 /* rtailz */, 'p', 75},
{ 252 /* rtailz */, 'y', 75},
{ 252 /* rtailz */, 'S', 75},
{ 252 /* rtailz */, 'B', 75},
{ 252 /* rtailz */, 'J', 75},
{ 252 /* rtailz */, 233 /* bardotlessj */, 75},
{ 252 /* rtailz */, 241 /* ltailn */, 75},
{ 252 /* rtailz */, ']', 75},
{ 252 /* rtailz */, ')', 75},
{ '[', 'S', 75},
{ '[', 241 /* ltailn */, 75},
{ '[', 'j', 75},
{ '[', 233 /* bardotlessj */, 75},
{ '[', 234 /* htbardotlessj */, 75},
{ '[', 205 /* Obardotlessj */, 75},
 {0, 0, 0}
};

